function layout()
return {
forceFeedback = {
trimmer = 1,
shake = 0.5,
swapAxes = false,
},
keyCommands = {
{down = iCommandPlane_AAP_CDU_Power, name = "AAP CDU Power Switch", category = "AAP"},
{down = iCommandPlane_AAP_EGI_Power, name = "AAP EGI Power Switch", category = "AAP"},
{down = iCommandPlane_AAP_PageSel_OTHER, name = "AAP Page Select OTHER", category = "AAP"},
{down = iCommandPlane_AAP_PageSel_POSITION, name = "AAP Page Select POSITION", category = "AAP"},
{down = iCommandPlane_AAP_PageSel_STEER, name = "AAP Page Select STEER", category = "AAP"},
{down = iCommandPlane_AAP_PageSel_WAYPT, name = "AAP Page Select WAYPT", category = "AAP"},
{down = iCommandPlane_AAP_SteerSw_Down, up = iCommandPlane_AAP_SteerSw_Down, name = "AAP STEER Switch Down", category = "AAP"},
{down = iCommandPlane_AAP_SteerSw_Up, up = iCommandPlane_AAP_SteerSw_Up, name = "AAP STEER Switch Up", category = "AAP"},
{down = iCommandPlane_AAP_SteerPt_FLTPLAN, name = "AAP Steer Point FLT PLAN", category = "AAP"},
{down = iCommandPlane_AAP_SteerPt_MARK, name = "AAP Steer Point MARK", category = "AAP"},
{down = iCommandPlane_AAP_SteerPt_MISSION, name = "AAP Steer Point MISSION", category = "AAP"},
{down = iCommandPowerGeneratorLeft, name = "AC generator power left", category = "Electrical power control panel"},
{down = iCommandPowerGeneratorRight, name = "AC generator power right", category = "Electrical power control panel"},
{pressed = iCommandADI_ZeroPitchTrimLeft, name = "ADI Pitch Trim Left", category = "Systems"},
{pressed = iCommandADI_ZeroPitchTrimRight, name = "ADI Pitch Trim Right", category = "Systems"},
{down = iCommandPlaneIntercomAIMPress, name = "AIM press", category = "Intercom control panel"},
{pressed = iCommandPlaneIntercomAIMDecrease, name = "AIM volume decrease", category = "Intercom control panel"},
{pressed = iCommandPlaneIntercomAIMIncrease, name = "AIM volume increase", category = "Intercom control panel"},
{down = iCommandPlaneAHCPAltSCEBaro, name = "ALT SCE switch BARO", category = "Armament HUD Control Panel"},
{down = iCommandPlaneAHCPAltSCEDelta, name = "ALT SCE switch DELTA", category = "Armament HUD Control Panel"},
{down = iCommandPlaneAHCPAltSCERadar, name = "ALT SCE switch RADAR", category = "Armament HUD Control Panel"},
{down = iCommandPlane_APU_Off, name = "APU Off", category = "Engine Control Panel"},
{down = iCommandPlane_APU_Start, name = "APU Start", category = "Engine Control Panel"},
{down = iCommand_FireExting_APUExting, name = "APU T-Handle Fire Extinguisher", category = "Fire Extinguishers System"},
{down = iCommandAPUGeneratorPower, name = "APU generator power", category = "Electrical power control panel"},
{down = iCommandPlaneAccelCompLights, name = "Accelerometer and Compass Light switch", category = "Lighting Panel"},
{down = iCommandActivePauseOnOff, name = "Active Pause", category = "Cheat"},
{down = iCommandPlaneEmerAileronDisengageOff, name = "Aileron emer disengage off", category = "Emergency flight control panel"},
{down = iCommandPlane_Env_AirConditioner_AUTO, name = "Air Conditioner Control AUTO", category = "Environment System Panel"},
{down = iCommandPlane_Env_AirConditioner_COLD, up = iCommandPlane_Env_AirConditioner_COLD, name = "Air Conditioner Control COLD", category = "Environment System Panel"},
{down = iCommandPlane_Env_AirConditioner_HOT, up = iCommandPlane_Env_AirConditioner_HOT, name = "Air Conditioner Control HOT", category = "Environment System Panel"},
{down = iCommandPlaneFSReceiverLever, name = "Air refuel control", category = "Fuel system control panel"},
{down = iCommandPlaneFSLineCheck, up = iCommandPlaneFSLineCheck, name = "Air refuel line check", category = "Fuel system control panel"},
{down = iCommandMarkerStatePlane, name = "Aircraft Labels", category = "Labels"},
{down = iCommandMarkerState, name = "All Labels", category = "Labels"},
{down = iCommandAllMissilePadlock, name = "All missiles padlock", category = "View Padlock"},
{down = iCommandPlane_Altimeter_ELECT, up = iCommandPlane_Altimeter_CENTER, name = "Altimeter ELECT Mode", category = "Systems"},
{down = iCommandPlane_Altimeter_PNEU, up = iCommandPlane_Altimeter_CENTER, name = "Altimeter PNEU Mode", category = "Systems"},
{pressed = iCommandAltimeterPressureDecrease, name = "Altimeter Pressure Set Decrease", category = "Systems"},
{pressed = iCommandAltimeterPressureIncrease, name = "Altimeter Pressure Set Increase", category = "Systems"},
{down = 3010, up = 3011, cockpit_device_id = 49, value_down = 1, value_up = -1, name = "Anti-Collision Lights switch", category = "Lighting Panel"},
{down = iCommandAntiGSuitTest, name = "Anti-G suit valve test button", category = "Systems"},
{down = iCommandPlaneLGPAntiSkid, name = "Anti-Skid ON/OFF", category = "Landing gear panel"},
{down = iCommandArmGroundSafetyCover, name = "Armament ground safety cover", category = "Systems"},
{down = iCommandArmGroundSafetySwitch, name = "Armament ground safety switch", category = "Systems"},
{down = iCommandAWACSTankerBearing, name = "Ask AWACS available tanker", category = "Communications"},
{down = iCommandAWACSHomeBearing, name = "Ask AWACS home airbase", category = "Communications"},
{down = iCommandPlane_EngageAirDefenses, name = "Attack Air Defenses", category = "Communications"},
{down = iCommandPlane_EngageGroundTargets, name = "Attack Ground Targets", category = "Communications"},
{down = iCommandPlaneAttackMyTarget, name = "Attack my target", category = "Communications"},
{pressed = iCommandPlaneAuxInstLightsDecrease, name = "Auxiliary Instruments Lights Decrease", category = "Lighting Panel"},
{pressed = iCommandPlaneAuxInstLightsIncrease, name = "Auxiliary Instruments Lights Increase", category = "Lighting Panel"},
{down = iCommandEmergencyGear, name = "Auxiliary gear handle", category = "Landing gear panel"},
{down = iCommandEmergencyGearCover, name = "Auxiliary gear handle lock button", category = "Landing gear panel"},
{down = iCommandBatteryPower, name = "Battery power", category = "Electrical power control panel"},
{down = iCommandPlaneFuelOn, up = iCommandPlaneFuelOff, name = "Begin Refuel", category = "Systems"},
{down = iCommandViewLaserOnOff, name = "Binocular laser illumination toggle", category = "FAC"},
{down = iCommandViewIR, name = "Binocular view IR mode", category = "FAC"},
{down = iCommandViewBinocular, name = "Binocular view toggle", category = "FAC"},
{down = iCommandPlane_Env_BleddAir, name = "Bleed Air Switch", category = "Environment System Panel"},
{down = iCommandPlaneCircuitBreaker_13, name = "CB APU CONT", category = "Circuit breaker panel"},
{down = iCommandPlaneCircuitBreaker_32, name = "CB AUX ESS BUS 0A", category = "Circuit breaker panel"},
{down = iCommandPlaneCircuitBreaker_33, name = "CB AUX ESS BUS 0B", category = "Circuit breaker panel"},
{down = iCommandPlaneCircuitBreaker_34, name = "CB AUX ESS BUS 0C", category = "Circuit breaker panel"},
{down = iCommandPlaneCircuitBreaker_38, name = "CB AUX ESS BUS TIE", category = "Circuit breaker panel"},
{down = iCommandPlaneCircuitBreaker_6, name = "CB Aileron TAB Left", category = "Circuit breaker panel"},
{down = iCommandPlaneCircuitBreaker_7, name = "CB Aileron TAB Right", category = "Circuit breaker panel"},
{down = iCommandPlaneCircuitBreaker_1, name = "CB Aileron disconnect Left", category = "Circuit breaker panel"},
{down = iCommandPlaneCircuitBreaker_2, name = "CB Aileron disconnect Right", category = "Circuit breaker panel"},
{down = iCommandPlaneCircuitBreaker_35, name = "CB Battery bus transformer", category = "Circuit breaker panel"},
{down = iCommandPlaneCircuitBreaker_19, name = "CB Bleed air CONT Left", category = "Circuit breaker panel"},
{down = iCommandPlaneCircuitBreaker_20, name = "CB Bleed air CONT Right", category = "Circuit breaker panel"},
{down = iCommandPlaneCircuitBreaker_31, name = "CB Converter L", category = "Circuit breaker panel"},
{down = iCommandPlaneCircuitBreaker_18, name = "CB DC fuel pump", category = "Circuit breaker panel"},
{down = iCommandPlaneCircuitBreaker_4, name = "CB Elevator disconnect Left", category = "Circuit breaker panel"},
{down = iCommandPlaneCircuitBreaker_5, name = "CB Elevator disconnect Right", category = "Circuit breaker panel"},
{down = iCommandPlaneCircuitBreaker_8, name = "CB Emer FLAP", category = "Circuit breaker panel"},
{down = iCommandPlaneCircuitBreaker_9, name = "CB Emer TRIM", category = "Circuit breaker panel"},
{down = iCommandPlaneCircuitBreaker_16, name = "CB Emer fuel shutoff Left engine", category = "Circuit breaker panel"},
{down = iCommandPlaneCircuitBreaker_17, name = "CB Emer fuel shutoff Rignt engine", category = "Circuit breaker panel"},
{down = iCommandPlaneCircuitBreaker_11, name = "CB Engine start Left", category = "Circuit breaker panel"},
{down = iCommandPlaneCircuitBreaker_12, name = "CB Engine start Right", category = "Circuit breaker panel"},
{down = iCommandPlaneCircuitBreaker_14, name = "CB Engines ingnitor L/R-1", category = "Circuit breaker panel"},
{down = iCommandPlaneCircuitBreaker_15, name = "CB Engines ingnitor L/R-2", category = "Circuit breaker panel"},
{down = iCommandPlaneCircuitBreaker_21, name = "CB Ext stores jettison 1", category = "Circuit breaker panel"},
{down = iCommandPlaneCircuitBreaker_22, name = "CB Ext stores jettison 2", category = "Circuit breaker panel"},
{down = iCommandPlaneCircuitBreaker_29, name = "CB Generator CONT Left", category = "Circuit breaker panel"},
{down = iCommandPlaneCircuitBreaker_30, name = "CB Generator CONT Right", category = "Circuit breaker panel"},
{down = iCommandPlaneCircuitBreaker_26, name = "CB IFF", category = "Circuit breaker panel"},
{down = iCommandPlaneCircuitBreaker_28, name = "CB INTER COMM", category = "Circuit breaker panel"},
{down = iCommandPlaneCircuitBreaker_37, name = "CB Inverter CONT", category = "Circuit breaker panel"},
{down = iCommandPlaneCircuitBreaker_36, name = "CB Inverter PWR", category = "Circuit breaker panel"},
{down = iCommandPlaneCircuitBreaker_10, name = "CB Land GEAR", category = "Circuit breaker panel"},
{down = iCommandPlaneCircuitBreaker_24, name = "CB Master caution", category = "Circuit breaker panel"},
{down = iCommandPlaneCircuitBreaker_25, name = "CB Pitot heat AC", category = "Circuit breaker panel"},
{down = iCommandPlaneCircuitBreaker_3, name = "CB SPS & Rudder AUTH Limit", category = "Circuit breaker panel"},
{down = iCommandPlaneCircuitBreaker_23, name = "CB Standby attitude indicator", category = "Circuit breaker panel"},
{down = iCommandPlaneCircuitBreaker_27, name = "CB UHF COM", category = "Circuit breaker panel"},
{down = iCommandPlaneCDU_0, up = iCommandPlaneCDU_0, name = "CDU 0 Key", category = "CDU panel"},
{down = iCommandPlaneCDU_1, up = iCommandPlaneCDU_1, name = "CDU 1 Key", category = "CDU panel"},
{down = iCommandPlaneCDU_2, up = iCommandPlaneCDU_2, name = "CDU 2 Key", category = "CDU panel"},
{down = iCommandPlaneCDU_3, up = iCommandPlaneCDU_3, name = "CDU 3 Key", category = "CDU panel"},
{down = iCommandPlaneCDU_4, up = iCommandPlaneCDU_4, name = "CDU 4 Key", category = "CDU panel"},
{down = iCommandPlaneCDU_5, up = iCommandPlaneCDU_5, name = "CDU 5 Key", category = "CDU panel"},
{down = iCommandPlaneCDU_6, up = iCommandPlaneCDU_6, name = "CDU 6 Key", category = "CDU panel"},
{down = iCommandPlaneCDU_7, up = iCommandPlaneCDU_7, name = "CDU 7 Key", category = "CDU panel"},
{down = iCommandPlaneCDU_8, up = iCommandPlaneCDU_8, name = "CDU 8 Key", category = "CDU panel"},
{down = iCommandPlaneCDU_9, up = iCommandPlaneCDU_9, name = "CDU 9 Key", category = "CDU panel"},
{down = iCommandPlaneCDU_A, up = iCommandPlaneCDU_A, name = "CDU A Key", category = "CDU panel"},
{down = iCommandPlaneCDU_B, up = iCommandPlaneCDU_B, name = "CDU B Key", category = "CDU panel"},
{down = iCommandPlaneCDU_BCK, up = iCommandPlaneCDU_BCK, name = "CDU BCK Key", category = "CDU panel"},
{down = iCommandPlaneCDU_BRT, up = iCommandPlaneCDU_BRT, name = "CDU BRT Rocker switch", category = "CDU panel"},
{down = iCommandPlaneCDU_C, up = iCommandPlaneCDU_C, name = "CDU C Key", category = "CDU panel"},
{down = iCommandPlaneCDU_CLR, up = iCommandPlaneCDU_CLR, name = "CDU CLR Key", category = "CDU panel"},
{down = iCommandPlaneCDU_D, up = iCommandPlaneCDU_D, name = "CDU D Key", category = "CDU panel"},
{down = iCommandPlaneCDU_DIM, up = iCommandPlaneCDU_DIM, name = "CDU DIM Rocker switch", category = "CDU panel"},
{down = iCommandPlaneCDU_E, up = iCommandPlaneCDU_E, name = "CDU E Key", category = "CDU panel"},
{down = iCommandPlaneCDU_F, up = iCommandPlaneCDU_F, name = "CDU F Key", category = "CDU panel"},
{down = iCommandPlaneCDU_FA, up = iCommandPlaneCDU_FA, name = "CDU FA Key", category = "CDU panel"},
{down = iCommandPlaneCDU_FPM, up = iCommandPlaneCDU_FPM, name = "CDU FPM Key", category = "CDU panel"},
{down = iCommandPlaneCDU_G, up = iCommandPlaneCDU_G, name = "CDU G Key", category = "CDU panel"},
{down = iCommandPlaneCDU_H, up = iCommandPlaneCDU_H, name = "CDU H Key", category = "CDU panel"},
{down = iCommandPlaneCDU_I, up = iCommandPlaneCDU_I, name = "CDU I Key", category = "CDU panel"},
{down = iCommandPlaneCDU_J, up = iCommandPlaneCDU_J, name = "CDU J Key", category = "CDU panel"},
{down = iCommandPlaneCDU_K, up = iCommandPlaneCDU_K, name = "CDU K Key", category = "CDU panel"},
{down = iCommandPlaneCDU_L, up = iCommandPlaneCDU_L, name = "CDU L Key", category = "CDU panel"},
{down = iCommandPlaneCDU_LSK_3L, up = iCommandPlaneCDU_LSK_3L, name = "CDU LSK L3", category = "CDU panel"},
{down = iCommandPlaneCDU_LSK_5L, up = iCommandPlaneCDU_LSK_5L, name = "CDU LSK L5", category = "CDU panel"},
{down = iCommandPlaneCDU_LSK_7L, up = iCommandPlaneCDU_LSK_7L, name = "CDU LSK L7", category = "CDU panel"},
{down = iCommandPlaneCDU_LSK_9L, up = iCommandPlaneCDU_LSK_9L, name = "CDU LSK L9", category = "CDU panel"},
{down = iCommandPlaneCDU_LSK_3R, up = iCommandPlaneCDU_LSK_3R, name = "CDU LSK R3", category = "CDU panel"},
{down = iCommandPlaneCDU_LSK_5R, up = iCommandPlaneCDU_LSK_5R, name = "CDU LSK R5", category = "CDU panel"},
{down = iCommandPlaneCDU_LSK_7R, up = iCommandPlaneCDU_LSK_7R, name = "CDU LSK R7", category = "CDU panel"},
{down = iCommandPlaneCDU_LSK_9R, up = iCommandPlaneCDU_LSK_9R, name = "CDU LSK R9", category = "CDU panel"},
{down = iCommandPlaneCDU_M, up = iCommandPlaneCDU_M, name = "CDU M Key", category = "CDU panel"},
{down = iCommandPlaneCDU_MINUS, up = iCommandPlaneCDU_MINUS, name = "CDU MINUS Key", category = "CDU panel"},
{down = iCommandPlaneCDU_MK, up = iCommandPlaneCDU_MK, name = "CDU MK Key", category = "CDU panel"},
{down = iCommandPlaneCDU_N, up = iCommandPlaneCDU_N, name = "CDU N Key", category = "CDU panel"},
{down = iCommandPlaneCDU_NAV, up = iCommandPlaneCDU_NAV, name = "CDU NAV Key", category = "CDU panel"},
{down = iCommandPlaneCDU_O, up = iCommandPlaneCDU_O, name = "CDU O Key", category = "CDU panel"},
{down = iCommandPlaneCDU_OSET, up = iCommandPlaneCDU_OSET, name = "CDU OSET Key", category = "CDU panel"},
{down = iCommandPlaneCDU_P, up = iCommandPlaneCDU_P, name = "CDU P Key", category = "CDU panel"},
{down = iCommandPlaneCDU_PGDN, up = iCommandPlaneCDU_PGDN, name = "CDU PG DN Key", category = "CDU panel"},
{down = iCommandPlaneCDU_PGUP, up = iCommandPlaneCDU_PGUP, name = "CDU PG UP Key", category = "CDU panel"},
{down = iCommandPlaneCDU_PLUS, up = iCommandPlaneCDU_PLUS, name = "CDU PLUS Key", category = "CDU panel"},
{down = iCommandPlaneCDU_PREV, up = iCommandPlaneCDU_PREV, name = "CDU PREV Key", category = "CDU panel"},
{down = iCommandPlaneCDU_PNT, up = iCommandPlaneCDU_PNT, name = "CDU Point Key", category = "CDU panel"},
{down = iCommandPlaneCDU_Q, up = iCommandPlaneCDU_Q, name = "CDU Q Key", category = "CDU panel"},
{down = iCommandPlaneCDU_R, up = iCommandPlaneCDU_R, name = "CDU R Key", category = "CDU panel"},
{down = iCommandPlaneCDU_S, up = iCommandPlaneCDU_S, name = "CDU S Key", category = "CDU panel"},
{down = iCommandPlaneCDU_SPC, up = iCommandPlaneCDU_SPC, name = "CDU SPC Key", category = "CDU panel"},
{down = iCommandPlaneCDU_SYS, up = iCommandPlaneCDU_SYS, name = "CDU SYS Key", category = "CDU panel"},
{down = iCommandPlaneCDU_BLANC_L, up = iCommandPlaneCDU_BLANC_L, name = "CDU Search back Key", category = "CDU panel"},
{down = iCommandPlaneCDU_BLANC_R, up = iCommandPlaneCDU_BLANC_R, name = "CDU Search forward Key", category = "CDU panel"},
{down = iCommandPlaneCDU_SLASH, up = iCommandPlaneCDU_SLASH, name = "CDU Slash Key", category = "CDU panel"},
{down = iCommandPlaneCDU_T, up = iCommandPlaneCDU_T, name = "CDU T Key", category = "CDU panel"},
{down = iCommandPlaneCDU_U, up = iCommandPlaneCDU_U, name = "CDU U Key", category = "CDU panel"},
{down = iCommandPlaneCDU_V, up = iCommandPlaneCDU_V, name = "CDU V Key", category = "CDU panel"},
{down = iCommandPlaneCDU_W, up = iCommandPlaneCDU_W, name = "CDU W Key", category = "CDU panel"},
{down = iCommandPlaneCDU_WP, up = iCommandPlaneCDU_WP, name = "CDU WP Key", category = "CDU panel"},
{down = iCommandPlaneCDU_X, up = iCommandPlaneCDU_X, name = "CDU X Key", category = "CDU panel"},
{down = iCommandPlaneCDU_Y, up = iCommandPlaneCDU_Y, name = "CDU Y Key", category = "CDU panel"},
{down = iCommandPlaneCDU_Z, up = iCommandPlaneCDU_Z, name = "CDU Z Key", category = "CDU panel"},
{down = iCommandPlaneAHCPCICUOnOff, name = "CICU switch ON/OFF", category = "Armament HUD Control Panel"},
{down = iCommandMechClock_RightLever_Down, up = iCommandMechClock_RightLever_Down, name = "CLOCK Control button", category = "Systems"},
{down = iCommandMechClock_LeftLever_Down, up = iCommandMechClock_LeftLever_Down, name = "CLOCK Select button", category = "Systems"},
{pressed = iCommandPlaneCMSC_AUD_DEC, name = "CMSC AUD Decrease", category = "CMSC Panel"},
{pressed = iCommandPlaneCMSC_AUD_INC, name = "CMSC AUD Increase", category = "CMSC Panel"},
{pressed = iCommandPlaneCMSC_BRT_DEC, name = "CMSC BRT Decrease", category = "CMSC Panel"},
{pressed = iCommandPlaneCMSC_BRT_INC, name = "CMSC BRT Increase", category = "CMSC Panel"},
{down = iCommandPlaneCMSC_JMR, up = iCommandPlaneCMSC_JMR, name = "CMSC JMR Key", category = "CMSC Panel"},
{down = iCommandPlaneCMSC_MWS, up = iCommandPlaneCMSC_MWS, name = "CMSC MWS Key", category = "CMSC Panel"},
{down = iCommandPlaneCMSC_PRI, up = iCommandPlaneCMSC_PRI, name = "CMSC PRI Key", category = "CMSC Panel"},
{down = iCommandPlaneCMSC_SEP, up = iCommandPlaneCMSC_SEP, name = "CMSC SEP Key", category = "CMSC Panel"},
{down = iCommandPlaneCMSC_UNK, up = iCommandPlaneCMSC_UNK, name = "CMSC UNK Key", category = "CMSC Panel"},
{pressed = iCommandPlaneCMSP_BRT_DEC, name = "CMSP BRT Decrease", category = "CMSP Panel"},
{pressed = iCommandPlaneCMSP_BRT_INC, name = "CMSP BRT Increase", category = "CMSP Panel"},
{down = iCommandPlaneCMSP_DISP_MENU, up = iCommandPlaneCMSP_DISP_ON, name = "CMSP DISP MENU", category = "CMSP Panel"},
{down = iCommandPlaneCMSP_DISP_ON, name = "CMSP DISP ON/OFF", category = "CMSP Panel"},
{down = iCommandPlaneCMSP_JMR_MENU, up = iCommandPlaneCMSP_JMR_ON, name = "CMSP JMR MENU", category = "CMSP Panel"},
{down = iCommandPlaneCMSP_JMR_ON, name = "CMSP JMR ON/OFF", category = "CMSP Panel"},
{down = iCommandPlaneCMSP_JTSN, name = "CMSP JTSN", category = "CMSP Panel"},
{down = iCommandPlaneCMSP_MODE_AUTO, name = "CMSP MODE AUTO", category = "CMSP Panel"},
{down = iCommandPlaneCMSP_MODE_MAN, name = "CMSP MODE MAN", category = "CMSP Panel"},
{down = iCommandPlaneCMSP_MODE_OFF, name = "CMSP MODE OFF", category = "CMSP Panel"},
{down = iCommandPlaneCMSP_MODE_SEMI, name = "CMSP MODE SEMI", category = "CMSP Panel"},
{down = iCommandPlaneCMSP_MODE_STBY, name = "CMSP MODE STBY", category = "CMSP Panel"},
{down = iCommandPlaneCMSP_MWS_MENU, up = iCommandPlaneCMSP_MWS_ON, name = "CMSP MWS MENU", category = "CMSP Panel"},
{down = iCommandPlaneCMSP_MWS_ON, name = "CMSP MWS ON/OFF", category = "CMSP Panel"},
{down = iCommandPlaneCMSP_NEXT_DOWN, up = iCommandPlaneCMSP_NEXT_DOWN, name = "CMSP Next Down rotary", category = "CMSP Panel"},
{down = iCommandPlaneCMSP_NEXT_UP, up = iCommandPlaneCMSP_NEXT_UP, name = "CMSP Next Up rotary", category = "CMSP Panel"},
{down = iCommandPlaneCMSP_OSB_1, up = iCommandPlaneCMSP_OSB_1, name = "CMSP OSB1", category = "CMSP Panel"},
{down = iCommandPlaneCMSP_OSB_2, up = iCommandPlaneCMSP_OSB_2, name = "CMSP OSB2", category = "CMSP Panel"},
{down = iCommandPlaneCMSP_OSB_3, up = iCommandPlaneCMSP_OSB_3, name = "CMSP OSB3", category = "CMSP Panel"},
{down = iCommandPlaneCMSP_OSB_4, up = iCommandPlaneCMSP_OSB_4, name = "CMSP OSB4", category = "CMSP Panel"},
{down = iCommandPlaneCMSP_RTN, up = iCommandPlaneCMSP_RTN, name = "CMSP RTN Key", category = "CMSP Panel"},
{down = iCommandPlaneCMSP_RWR_MENU, up = iCommandPlaneCMSP_RWR_ON, name = "CMSP RWR MENU", category = "CMSP Panel"},
{down = iCommandPlaneCMSP_RWR_ON, name = "CMSP RWR ON/OFF", category = "CMSP Panel"},
{down = iCommandViewCameraJiggle, name = "Camera jiggle toggle", category = "View Extended"},
{down = iCommandViewCameraDown, up = iCommandViewCameraCenter, name = "Camera view down", category = "View Cockpit"},
{down = iCommandViewCameraDownSlow, name = "Camera view down slow", category = "View Cockpit"},
{down = iCommandViewCameraDownLeft, up = iCommandViewCameraCenter, name = "Camera view down-left", category = "View Cockpit"},
{down = iCommandViewCameraDownLeftSlow, name = "Camera view down-left slow", category = "View Cockpit"},
{down = iCommandViewCameraDownRight, up = iCommandViewCameraCenter, name = "Camera view down-right", category = "View Cockpit"},
{down = iCommandViewCameraDownRight, name = "Camera view down-right slow", category = "View Cockpit"},
{down = iCommandViewCameraLeft, up = iCommandViewCameraCenter, name = "Camera view left", category = "View Cockpit"},
{down = iCommandViewCameraLeftSlow, name = "Camera view left slow", category = "View Cockpit"},
{down = iCommandViewCameraRight, up = iCommandViewCameraCenter, name = "Camera view right", category = "View Cockpit"},
{down = iCommandViewCameraRightSlow, name = "Camera view right slow", category = "View Cockpit"},
{down = iCommandViewCameraUp, up = iCommandViewCameraCenter, name = "Camera view up", category = "View Cockpit"},
{down = iCommandViewCameraUpSlow, name = "Camera view up slow", category = "View Cockpit"},
{down = iCommandViewCameraUpLeft, up = iCommandViewCameraCenter, name = "Camera view up-left", category = "View Cockpit"},
{down = iCommandViewCameraUpLeftSlow, name = "Camera view up-left slow", category = "View Cockpit"},
{down = iCommandViewCameraUpRight, up = iCommandViewCameraCenter, name = "Camera view up-right", category = "View Cockpit"},
{down = iCommandViewCameraUpRightSlow, name = "Camera view up-right slow", category = "View Cockpit"},
{pressed = iCommandPlane_Env_CanopyDefog_Dec, name = "Canopy Defog Decrease", category = "Environment System Panel"},
{pressed = iCommandPlane_Env_CanopyDefog_Inc, name = "Canopy Defog Increase", category = "Environment System Panel"},
{down = iCommandPlaneFonar, name = "Canopy Open/Close", category = "Systems"},
{down = iCommandCanopyJettison, name = "Canopy jettison lever", category = "Systems"},
{down = iCommandCanopyJettisonUnlockButton, name = "Canopy jettison lever unlock button", category = "Systems"},
{down = iCommandViewCameraCenter, name = "Center camera view", category = "View Cockpit"},
{down = iCommandCockpitClickModeOnOff, name = "Clickable mouse cockpit mode On/Off", category = "General"},
{pressed = iCommandViewPitCameraMoveBack, up = iCommandViewPitCameraMoveStop, name = "Cockpit Camera Move Back", category = "View Cockpit"},
{down = iCommandViewPitCameraMoveCenter, name = "Cockpit Camera Move Center", category = "View Cockpit"},
{pressed = iCommandViewPitCameraMoveDown, up = iCommandViewPitCameraMoveStop, name = "Cockpit Camera Move Down", category = "View Cockpit"},
{pressed = iCommandViewPitCameraMoveForward, up = iCommandViewPitCameraMoveStop, name = "Cockpit Camera Move Forward", category = "View Cockpit"},
{pressed = iCommandViewPitCameraMoveLeft, up = iCommandViewPitCameraMoveStop, name = "Cockpit Camera Move Left", category = "View Cockpit"},
{pressed = iCommandViewPitCameraMoveRight, up = iCommandViewPitCameraMoveStop, name = "Cockpit Camera Move Right", category = "View Cockpit"},
{pressed = iCommandViewPitCameraMoveUp, up = iCommandViewPitCameraMoveStop, name = "Cockpit Camera Move Up", category = "View Cockpit"},
{down = iCommandPlaneCockpitIllumination, name = "Cockpit Illumination", category = "Systems"},
{down = iCommandViewTempCockpitOn, up = iCommandViewTempCockpitOff, name = "Cockpit panel view in", category = "View Cockpit"},
{down = iCommandViewTempCockpitToggle, name = "Cockpit panel view toggle", category = "View Cockpit"},
{down = iCommandToggleCommandMenu, name = "Communication menu", category = "Communications"},
{pressed = iCommandPlaneConsoleLightsDecrease, name = "Console Light Decrease", category = "Lighting Panel"},
{pressed = iCommandPlaneConsoleLightsIncrease, name = "Console Light Increase", category = "Lighting Panel"},
{down = iCommandPlane_ShowControls, name = "Controls indicator", category = "General"},
{down = iCommandViewCoordinatesInLinearUnits, name = "Coordinates units change", category = "General"},
{down = iCommandPlaneCoverMySix, name = "Cover me", category = "Communications"},
{down = iCommandPlaneDoAndHome, name = "Dispatch wingmans - complete mission and RTB", category = "Communications"},
{down = iCommandPlaneDoAndBack, name = "Dispatch wingmans - complete mission and rejoin", category = "Communications"},
{down = iCommandPlaneLGPDownlockOverride, up = iCommandPlaneLGPDownlockOverride, name = "Downlock Override", category = "Landing gear panel"},
{down = iCommandPlane_EAC_ARM, up = iCommandPlane_EAC_ARM, name = "EAC Arm", category = "LASTE Control Panel"},
{down = iCommandPlane_EAC_ARM, name = "EAC Arm", category = "LASTE Control Panel"},
{down = iCommandPlane_EAC_OFF, up = iCommandPlane_EAC_OFF, name = "EAC Off", category = "LASTE Control Panel"},
{down = iCommandPlane_EAC_OFF, name = "EAC Off", category = "LASTE Control Panel"},
{down = iCommandEGI_HQ_TOD, name = "EGI HQ TOD Switch", category = "Antenna Select Panel"},
{down = iCommandPlaneEject, name = "Eject", category = "Systems"},
{down = iCommandPlaneEmerElevatorDisengageOff, name = "Elevator emer disengage off", category = "Emergency flight control panel"},
{pressed = iCommandPlaneEmerTrimLWingDn, up = iCommandPlaneEmerTrimNeutral, name = "Emer trim Left wing DN", category = "Emergency flight control panel"},
{pressed = iCommandPlaneEmerTrimNoseDn, up = iCommandPlaneEmerTrimNeutral, name = "Emer trim Nose DN", category = "Emergency flight control panel"},
{pressed = iCommandPlaneEmerTrimNoseUP, up = iCommandPlaneEmerTrimNeutral, name = "Emer trim Nose UP", category = "Emergency flight control panel"},
{pressed = iCommandPlaneEmerTrimRWingDn, up = iCommandPlaneEmerTrimNeutral, name = "Emer trim Right wing DN", category = "Emergency flight control panel"},
{down = iCommandPlaneEmergencyDisconnectLever, up = iCommandPlaneEmergencyDisconnectLever, name = "Emergency Disconnect Lever", category = "HOTAS"},
{down = iCommandPlaneEmergencyBrake, up = iCommandPlaneEmergencyBrake, name = "Emergency Wheel Brake", category = "Systems"},
{down = iCommandPlaneEmergencyBrake, name = "Emergency Wheel Brake", category = "Systems"},
{down = iCommandEmergencyFlood, name = "Emergency flood", category = "Electrical power control panel"},
{down = iCommandQuit, name = "End mission", category = "General"},
{pressed = iCommandPlaneEngInstLightsDecrease, name = "Engine Instruments Lights Decrease", category = "Lighting Panel"},
{pressed = iCommandPlaneEngInstLightsIncrease, name = "Engine Instruments Lights Increase", category = "Lighting Panel"},
{down = iCommandLeftEngineStart, name = "Engine Start Left", category = "Systems"},
{down = iCommandRightEngineStart, name = "Engine Start Right", category = "Systems"},
{down = iCommandLeftEngineStop, name = "Engine Stop Left", category = "Systems"},
{down = iCommandRightEngineStop, name = "Engine Stop Right", category = "Systems"},
{down = iCommandExtLadderButton, up = iCommandExtLadderRelease, name = "Extend boarding ladder button", category = "Systems"},
{down = iCommandExtLadderButtonCover, name = "Extend boarding ladder cover", category = "Systems"},
{down = iCommandPlaneFSExtTanksFuselageValve, name = "External tanks fuselage valve", category = "Fuel system control panel"},
{down = iCommandPlaneFSExtTanksWingValve, name = "External tanks wing valve", category = "Fuel system control panel"},
{down = iCommandViewCockpit, name = "F1 Cockpit view", category = "View"},
{down = iCommandViewHUDOnlyOnOff, name = "F1 HUD only view switch", category = "View"},
{down = iCommandViewPitHeadOnOff, name = "F1 Head shift movement on / off", category = "View"},
{down = iCommandNaturalViewCockpitIn, name = "F1 Natural head movement view", category = "View"},
{down = iCommandViewAWACSJump, name = "F10 Jump to theater map view over current point", category = "View"},
{down = iCommandViewAWACS, name = "F10 Theater map view", category = "View"},
{down = iCommandViewFree, name = "F11 Airport free camera", category = "View"},
{down = iCommandViewFreeJump, name = "F11 Jump to free camera", category = "View"},
{down = iCommandViewSlowDown, name = "F11 camera moving backward", category = "View"},
{down = iCommandViewSpeedUp, name = "F11 camera moving forward", category = "View"},
{down = iCommandViewMirage, name = "F12 Civil traffic view", category = "View"},
{down = iCommandViewStatic, name = "F12 Static object view", category = "View"},
{down = iCommandViewLocomotivesToggle, name = "F12 Trains/cars toggle", category = "View"},
{down = iCommandViewAir, name = "F2 Aircraft view", category = "View"},
{down = iCommandViewFromTo, name = "F2 Toggle camera position", category = "View"},
{down = iCommandViewLocal, name = "F2 Toggle local camera control", category = "View"},
{down = iCommandViewMe, name = "F2 View own aircraft", category = "View"},
{down = iCommandViewTowerJump, name = "F3 Fly-By jump view", category = "View"},
{down = iCommandViewTower, name = "F3 Fly-By view", category = "View"},
{down = iCommandViewChaseArcade, name = "F4 Arcade View", category = "View"},
{down = iCommandViewChase, name = "F4 Chase view", category = "View"},
{down = iCommandViewRear, name = "F4 Look back view", category = "View"},
{down = iCommandViewFightGround, name = "F5 Ground hostile view", category = "View"},
{down = iCommandViewFight, name = "F5 nearest AC view", category = "View"},
{down = iCommandViewWeapons, name = "F6 Released weapon view", category = "View"},
{down = iCommandViewWeaponAndTarget, name = "F6 Weapon to target view", category = "View"},
{down = iCommandViewJFO, name = "F7 Ground JFO/JTAC view", category = "View"},
{down = iCommandViewGround, name = "F7 Ground unit view", category = "View"},
{down = iCommandViewLndgOfficer, name = "F9 Landing signal officer view", category = "View"},
{down = iCommandViewNavy, name = "F9 Ship view", category = "View"},
{down = iCommandPlaneIntercomFMPress, name = "FM press", category = "Intercom control panel"},
{pressed = iCommandPlaneIntercomFMDecrease, name = "FM volume decrease", category = "Intercom control panel"},
{pressed = iCommandPlaneIntercomFMIncrease, name = "FM volume increase", category = "Intercom control panel"},
{down = iCommandViewFastKeyboard, name = "Fast keyboard turn speed", category = "View"},
{down = iCommandViewFastMouse, name = "Fast mouse turn speed", category = "View"},
{down = iCommand_FireExting_Discharge_Left, name = "Fire Extinguishig Agent Discharge Left", category = "Fire Extinguishers System"},
{down = iCommand_FireExting_Discharge_Center, name = "Fire Extinguishig Agent Discharge Off", category = "Fire Extinguishers System"},
{down = iCommand_FireExting_Discharge_Right, name = "Fire Extinguishig Agent Discharge Right", category = "Fire Extinguishers System"},
{down = iCommandPlaneFireDetectBleedAirTest, up = iCommandPlaneFireDetectBleedAirTest, name = "Fire detect bleed air leak test", category = "Auxiliary lighting control panel"},
{down = iCommandPlaneFlapsOn, name = "Flaps Down", category = "Systems"},
{down = iCommandPlaneFlapsOff, name = "Flaps Up", category = "Systems"},
{down = iCommandPlaneEmerFlapsRetract, name = "Flaps emer retract", category = "Emergency flight control panel"},
{pressed = iCommandPlaneFltInstLightsDecrease, name = "Flight Instruments Lights Decrease", category = "Lighting Panel"},
{pressed = iCommandPlaneFltInstLightsIncrease, name = "Flight Instruments Lights Increase", category = "Lighting Panel"},
{down = iCommandPlaneEmerFlightControl, name = "Flight control NORM/MAN REVERSION", category = "Emergency flight control panel"},
{pressed = iCommandPlaneFloodLightsDecrease, name = "Floodlight Decrease", category = "Lighting Panel"},
{pressed = iCommandPlaneFloodLightsIncrease, name = "Floodlight Increase", category = "Lighting Panel"},
{pressed = iCommandPlane_Env_FlowLevel_Decrease, name = "Flow Level Decrease", category = "Environment System Panel"},
{pressed = iCommandPlane_Env_FlowLevel_Increase, name = "Flow Level Increase", category = "Environment System Panel"},
{down = iCommandPlaneLeftStart, up = iCommandPlaneLeftStop, name = "Fly: Left Wing Down", category = "Flight Control"},
{down = iCommandPlaneUpStart, up = iCommandPlaneUpStop, name = "Fly: Nose Down", category = "Flight Control"},
{down = iCommandPlaneDownStart, up = iCommandPlaneDownStop, name = "Fly: Nose Up", category = "Flight Control"},
{down = iCommandPlaneRightStart, up = iCommandPlaneRightStop, name = "Fly: Right Wing Down", category = "Flight Control"},
{down = iCommandPlaneLeftRudderStart, up = iCommandPlaneLeftRudderStop, name = "Fly: Rudder Left", category = "Flight Control"},
{down = iCommandPlaneRightRudderStart, up = iCommandPlaneRightRudderStop, name = "Fly: Rudder Right", category = "Flight Control"},
{pressed = iCommandPlaneFormationLightsDecrease, name = "Formation Lights Decrease", category = "Lighting Panel"},
{pressed = iCommandPlaneFormationLightsIncrease, name = "Formation Lights Increase", category = "Lighting Panel"},
{down = iCommandGraphicsFrameRate, name = "Frame rate counter - Service info", category = "General"},
{down = iCommandPlaneFSTankCrossFeed, name = "Fuel crossfeed valve", category = "Fuel system control panel"},
{down = iCommandPlaneFSQuantityIndicatorTest, up = iCommandPlaneFSQuantityIndicatorTest, name = "Fuel quantity indicator test", category = "Fuel system control panel"},
{down = iCommandPlaneFSQuantityIndicatorSelectorEXTCTR, name = "Fuel quantity selector EXT CTR", category = "Fuel system control panel"},
{down = iCommandPlaneFSQuantityIndicatorSelectorEXTWING, name = "Fuel quantity selector EXT WING", category = "Fuel system control panel"},
{down = iCommandPlaneFSQuantityIndicatorSelectorINT, name = "Fuel quantity selector INT", category = "Fuel system control panel"},
{down = iCommandPlaneFSQuantityIndicatorSelectorMAIN, name = "Fuel quantity selector MAIN", category = "Fuel system control panel"},
{down = iCommandPlaneFSQuantityIndicatorSelectorWING, name = "Fuel quantity selector WING", category = "Fuel system control panel"},
{down = iCommandDVADRFunctionOff, name = "Function control toggle switch OFF", category = "DVADR Remote Control Panel"},
{down = iCommandDVADRFunctionREC, name = "Function control toggle switch REC", category = "DVADR Remote Control Panel"},
{down = iCommandDVADRFunctionSTDBY, name = "Function control toggle switch STDBY", category = "DVADR Remote Control Panel"},
{down = iCommandAccelReset, up = iCommandAccelReset, name = "G-meter reset", category = "Systems"},
{down = iCommandPlaneAHCPGUNPACArm, name = "GUN/PAC switch ARM", category = "Armament HUD Control Panel"},
{down = iCommandPlaneAHCPGUNArm, name = "GUN/PAC switch GUNARM", category = "Armament HUD Control Panel"},
{down = iCommandPlaneAHCPGUNSafe, name = "GUN/PAC switch SAFE", category = "Armament HUD Control Panel"},
{pressed = iCommandPlane_Helmet_Brightess_Down, name = "Gain goggles down", category = "Sensors"},
{pressed = iCommandPlane_Helmet_Brightess_Up, name = "Gain goggles up", category = "Sensors"},
{down = iCommandPlaneHeadLightOnOff, name = "Gear Light Near/Far/Off", category = "Systems"},
{down = iCommandRecoverHuman, name = "Get new plane - respawn", category = "General"},
{combos = {{key = "JOY_BTN15"}, }, down = iCommandPlane_HOTAS_TriggerSecondStage, up = iCommandPlane_HOTAS_TriggerSecondStage_Off, name = "Gun Trigger", category = "HOTAS"},
{combos = {{key = "JOY_BTN1"}, }, down = iCommandPlane_HOTAS_TriggerFirstStage, up = iCommandPlane_HOTAS_TriggerFirstStage_Off, name = "Gun Trigger (first stage)", category = "HOTAS"},
{down = iCommandPlane_HARS_Fast_Erect, up = iCommandPlane_HARS_Fast_Erect, name = "HARS Fast Erect Button", category = "Systems"},
{pressed = iCommandPlane_HARS_HDG_Decrease, name = "HARS HDG Decrease", category = "HARS Control Panel"},
{pressed = iCommandPlane_HARS_HDG_Increase, name = "HARS HDG Increase", category = "HARS Control Panel"},
{down = iCommandPlane_HARS_HemisphereSel, name = "HARS Hemisphere Selector", category = "HARS Control Panel"},
{pressed = iCommandPlane_HARS_LAT_Correction_Decrease, name = "HARS LAT Correction Decrease", category = "HARS Control Panel"},
{pressed = iCommandPlane_HARS_LAT_Correction_Increase, name = "HARS LAT Correction Increase", category = "HARS Control Panel"},
{down = iCommandPlane_HARS_MagneticVar_Plus15, name = "HARS Magnetic Variation +15", category = "HARS Control Panel"},
{down = iCommandPlane_HARS_MagneticVar_Min15, name = "HARS Magnetic Variation -15", category = "HARS Control Panel"},
{down = iCommandPlane_HARS_MagneticVar_Null, name = "HARS Magnetic Variation 0", category = "HARS Control Panel"},
{down = iCommandPlane_HARS_Mode, name = "HARS Mode Selector SLAVE/DG", category = "HARS Control Panel"},
{down = iCommandPlane_HARS_SyncButton, up = iCommandPlane_HARS_SyncButton, name = "HARS SYNC Button", category = "HARS Control Panel"},
{down = iCommandPlaneHarsSasNormOverride, name = "HARS/SAS OVERRIDE/NORM", category = "Auxiliary lighting control panel"},
{down = iCommandPlaneIntercomHM, name = "HM press", category = "Intercom control panel"},
{down = iCommandPlane_HOTAS_BoatSwitchAft, name = "HOTAS Boat Switch Aft", category = "HOTAS"},
{down = iCommandPlane_HOTAS_BoatSwitchCenter, name = "HOTAS Boat Switch Center", category = "HOTAS"},
{down = iCommandPlane_HOTAS_BoatSwitchForward, name = "HOTAS Boat Switch Forward", category = "HOTAS"},
{combos = {{key = "JOY_BTN_POV1_D", reformers = {"JOY_BTN6", }}, }, down = iCommandPlane_HOTAS_CMS_Down, up = iCommandPlane_HOTAS_CMS_Off, name = "HOTAS CMS Aft", category = "HOTAS"},
{combos = {{key = "JOY_BTN_POV1_U", reformers = {"JOY_BTN6", }}, }, down = iCommandPlane_HOTAS_CMS_Up, up = iCommandPlane_HOTAS_CMS_Off, name = "HOTAS CMS Forward", category = "HOTAS"},
{combos = {{key = "JOY_BTN_POV1_L", reformers = {"JOY_BTN6", }}, }, down = iCommandPlane_HOTAS_CMS_Left, up = iCommandPlane_HOTAS_CMS_Off, name = "HOTAS CMS Left", category = "HOTAS"},
{combos = {{key = "JOY_BTN_POV1_R", reformers = {"JOY_BTN6", }}, }, down = iCommandPlane_HOTAS_CMS_Right, up = iCommandPlane_HOTAS_CMS_Off, name = "HOTAS CMS Right", category = "HOTAS"},
{down = iCommandPlane_HOTAS_CMS_Zaxis, up = iCommandPlane_HOTAS_CMS_Zaxis_Off, name = "HOTAS CMS Z Axis", category = "HOTAS"},
{combos = {{key = "JOY_BTN23"}, }, down = iCommandPlane_HOTAS_ChinaHatAft, up = iCommandPlane_HOTAS_ChinaHatOff, name = "HOTAS China Hat Aft", category = "HOTAS"},
{combos = {{key = "JOY_BTN21"}, }, down = iCommandPlane_HOTAS_ChinaHatForward, up = iCommandPlane_HOTAS_ChinaHatOff, name = "HOTAS China Hat Forward", category = "HOTAS"},
{combos = {{key = "JOY_BTN22", reformers = {"JOY_BTN6", }}, }, down = iCommandPlane_HOTAS_CoolieDown, up = iCommandPlane_HOTAS_CoolieOff, name = "HOTAS Coolie Switch Down", category = "HOTAS"},
{combos = {{key = "JOY_BTN23", reformers = {"JOY_BTN6", }}, }, down = iCommandPlane_HOTAS_CoolieLeft, up = iCommandPlane_HOTAS_CoolieOff, name = "HOTAS Coolie Switch Left", category = "HOTAS"},
{combos = {{key = "JOY_BTN21", reformers = {"JOY_BTN6", }}, }, down = iCommandPlane_HOTAS_CoolieRight, up = iCommandPlane_HOTAS_CoolieOff, name = "HOTAS Coolie Switch Right", category = "HOTAS"},
{combos = {{key = "JOY_BTN20", reformers = {"JOY_BTN6", }}, }, down = iCommandPlane_HOTAS_CoolieUp, up = iCommandPlane_HOTAS_CoolieOff, name = "HOTAS Coolie Switch Up", category = "HOTAS"},
{combos = {{key = "JOY_BTN18"}, }, down = iCommandPlane_HOTAS_DataManagementSwitchDown, up = iCommandPlane_HOTAS_DataManagementSwitchOff, name = "HOTAS DMS Aft", category = "HOTAS"},
{combos = {{key = "JOY_BTN16"}, }, down = iCommandPlane_HOTAS_DataManagementSwitchUp, up = iCommandPlane_HOTAS_DataManagementSwitchOff, name = "HOTAS DMS Forward", category = "HOTAS"},
{combos = {{key = "JOY_BTN19"}, }, down = iCommandPlane_HOTAS_DataManagementSwitchLeft, up = iCommandPlane_HOTAS_DataManagementSwitchOff, name = "HOTAS DMS Left", category = "HOTAS"},
{combos = {{key = "JOY_BTN17"}, }, down = iCommandPlane_HOTAS_DataManagementSwitchRight, up = iCommandPlane_HOTAS_DataManagementSwitchOff, name = "HOTAS DMS Right", category = "HOTAS"},
{down = iCommandPlane_HOTAS_LeftThrottleButton, up = iCommandPlane_HOTAS_LeftThrottleButton_Off, name = "HOTAS Left Throttle Button", category = "HOTAS"},
{combos = {{key = "JOY_BTN7"}, }, down = iCommandPlane_HOTAS_LeftThrottleButton, name = "HOTAS Left throttle button", category = "HOTAS"},
{down = iCommandPlane_HOTAS_MIC_SwitchLeft, up = iCommandPlane_HOTAS_MIC_SwitchOff, name = "HOTAS MIC Switch Aft", category = "HOTAS"},
{down = iCommandPlane_HOTAS_MIC_SwitchDown, up = iCommandPlane_HOTAS_MIC_SwitchOff, name = "HOTAS MIC Switch Down", category = "HOTAS"},
{down = iCommandPlane_HOTAS_MIC_SwitchRight, up = iCommandPlane_HOTAS_MIC_SwitchOff, name = "HOTAS MIC Switch Forward", category = "HOTAS"},
{down = iCommandPlane_HOTAS_MIC_SwitchUp, up = iCommandPlane_HOTAS_MIC_SwitchOff, name = "HOTAS MIC Switch Up", category = "HOTAS"},
{combos = {{key = "JOY_BTN3"}, }, down = iCommandPlane_HOTAS_MasterModeControlButton, up = iCommandPlane_HOTAS_MasterModeControlButtonUP, name = "HOTAS Master Mode Control Button", category = "HOTAS"},
{combos = {{key = "JOY_BTN5"}, }, down = iCommandPlane_HOTAS_NoseWheelSteeringButton, up = iCommandPlane_HOTAS_NoseWheelSteeringButtonOff, name = "HOTAS Nosewheel Steering Button", category = "HOTAS"},
{down = iCommandPlane_HOTAS_PinkySwitchAft, name = "HOTAS Pinky Switch Aft", category = "HOTAS"},
{down = iCommandPlane_HOTAS_PinkySwitchCenter, name = "HOTAS Pinky Switch Center", category = "HOTAS"},
{down = iCommandPlane_HOTAS_PinkySwitchForward, name = "HOTAS Pinky Switch Forward", category = "HOTAS"},
{pressed = iCommandPlaneRadarDown, up = iCommandPlaneRadarStop, name = "HOTAS Slew Down", category = "HOTAS"},
{pressed = iCommandPlaneRadarLeft, up = iCommandPlaneRadarStop, name = "HOTAS Slew Left", category = "HOTAS"},
{pressed = iCommandPlaneRadarRight, up = iCommandPlaneRadarStop, name = "HOTAS Slew Right", category = "HOTAS"},
{pressed = iCommandPlaneRadarUp, up = iCommandPlaneRadarStop, name = "HOTAS Slew Up", category = "HOTAS"},
{combos = {{key = "JOY_BTN20"}, }, down = iCommandPlane_HOTAS_SpeedBrakeSwitchAft, up = iCommandPlane_HOTAS_SpeedBrakeSwitchCenter, name = "HOTAS Speed Brake Switch Aft", category = "HOTAS"},
{combos = {{key = "JOY_BTN22"}, }, down = iCommandPlane_HOTAS_SpeedBrakeSwitchForward, up = iCommandPlane_HOTAS_SpeedBrakeSwitchCenter, name = "HOTAS Speed Brake Switch Forward", category = "HOTAS"},
{combos = {{key = "JOY_BTN18", reformers = {"JOY_BTN6", }}, }, down = iCommandPlane_HOTAS_TargetManagementSwitchDown, up = iCommandPlane_HOTAS_TargetManagementSwitchOff, name = "HOTAS TMS Aft", category = "HOTAS"},
{combos = {{key = "JOY_BTN16", reformers = {"JOY_BTN6", }}, }, down = iCommandPlane_HOTAS_TargetManagementSwitchUp, up = iCommandPlane_HOTAS_TargetManagementSwitchOff, name = "HOTAS TMS Forward", category = "HOTAS"},
{combos = {{key = "JOY_BTN19", reformers = {"JOY_BTN6", }}, }, down = iCommandPlane_HOTAS_TargetManagementSwitchLeft, up = iCommandPlane_HOTAS_TargetManagementSwitchOff, name = "HOTAS TMS Left", category = "HOTAS"},
{combos = {{key = "JOY_BTN17", reformers = {"JOY_BTN6", }}, }, down = iCommandPlane_HOTAS_TargetManagementSwitchRight, up = iCommandPlane_HOTAS_TargetManagementSwitchOff, name = "HOTAS TMS Right", category = "HOTAS"},
{pressed = iCommandHSI_CourseRotaryLeft, name = "HSI Course rotate left", category = "Systems"},
{pressed = iCommandHSI_CourseRotaryRight, name = "HSI Course rotate right", category = "Systems"},
{pressed = iCommandHSI_HeadingRotaryLeft, name = "HSI Heading rotate left", category = "Systems"},
{pressed = iCommandHSI_HeadingRotaryRight, name = "HSI Heading rotate right", category = "Systems"},
{down = iCommandBrightnessILS, name = "HUD Color", category = "Systems"},
{down = iCommandPlaneAHCPHUDModeDayNight, name = "HUD Mode switch Day/Night", category = "Armament HUD Control Panel"},
{down = iCommandPlaneAHCPHUDModeNormSTBY, name = "HUD Mode switch NORM/STBY", category = "Armament HUD Control Panel"},
{down = iCommandIFFAntennaBoth, name = "IFF Antenna Switch BOTH", category = "Antenna Select Panel"},
{down = iCommandIFFAntennaLower, name = "IFF Antenna Switch LOWER", category = "Antenna Select Panel"},
{down = iCommandIFFAntennaUpper, name = "IFF Antenna Switch UPPER", category = "Antenna Select Panel"},
{down = iCommandPlaneIntercomIFFPress, name = "IFF press", category = "Intercom control panel"},
{pressed = iCommandPlaneIntercomIFFDecrease, name = "IFF volume decrease", category = "Intercom control panel"},
{pressed = iCommandPlaneIntercomIFFIncrease, name = "IFF volume increase", category = "Intercom control panel"},
{down = iCommandPlaneAHCPIFFCCOff, name = "IFFCC switch OFF", category = "Armament HUD Control Panel"},
{down = iCommandPlaneAHCPIFFCCOn, name = "IFFCC switch ON", category = "Armament HUD Control Panel"},
{down = iCommandPlaneAHCPIFFCCTest, name = "IFFCC switch TEST", category = "Armament HUD Control Panel"},
{pressed = iCommandPlane_ILS_KHz_Decrease, name = "ILS Freq. KHz Decrease", category = "ILS Control Panel"},
{pressed = iCommandPlane_ILS_KHz_Increase, name = "ILS Freq. KHz Increase", category = "ILS Control Panel"},
{pressed = iCommandPlane_ILS_MHz_Decrease, name = "ILS Freq. MHz Decrease", category = "ILS Control Panel"},
{pressed = iCommandPlane_ILS_MHz_Increase, name = "ILS Freq. MHz Increase", category = "ILS Control Panel"},
{down = iCommandPlane_ILS_Power, name = "ILS Power Switch", category = "ILS Control Panel"},
{pressed = iCommandPlane_ILS_Volume_Decrease, name = "ILS Volume Decrease", category = "ILS Control Panel"},
{pressed = iCommandPlane_ILS_Volume_Increase, name = "ILS Volume Increase", category = "ILS Control Panel"},
{down = iCommandPlaneIntercomILSPress, name = "ILS press", category = "Intercom control panel"},
{pressed = iCommandPlaneIntercomILSDecrease, name = "ILS volume decrease", category = "Intercom control panel"},
{pressed = iCommandPlaneIntercomILSIncrease, name = "ILS volume increase", category = "Intercom control panel"},
{down = iCommandPlaneIntercomINTPress, name = "INT press", category = "Intercom control panel"},
{pressed = iCommandPlaneIntercomINTDecrease, name = "INT volume decrease", category = "Intercom control panel"},
{pressed = iCommandPlaneIntercomINTIncrease, name = "INT volume increase", category = "Intercom control panel"},
{down = iCommandInfoOnOff, name = "Info bar view toggle", category = "General"},
{down = iCommandCanopyActuatorDisengage, name = "Internal canopy actuator disengage lever", category = "Systems"},
{down = iCommandElectricalPowerInverterOFF, name = "Inverter OFF", category = "Electrical power control panel"},
{down = iCommandElectricalPowerInverterSTBY, name = "Inverter STBY", category = "Electrical power control panel"},
{down = iCommandElectricalPowerInverterTEST, up = iCommandElectricalPowerInverterOFF, name = "Inverter TEST", category = "Electrical power control panel"},
{down = iCommandPlaneAHCPJTRSOnOff, name = "JTRS switch ON/OFF", category = "Armament HUD Control Panel"},
{down = iCommandPlaneJettisonFuelTanks, name = "Jettison Fuel Tanks", category = "Systems"},
{down = iCommandPlaneJettisonWeapons, name = "Jettison Weapons", category = "Systems"},
{down = iCommandPlaneJoinUp, name = "Join up formation", category = "Communications"},
{down = iCommandViewKeepTerrain, name = "Keep terrain camera altitude", category = "View Extended"},
{down = iCommandPlaneStabHbarBank, name = "LAAP Altitude/Bank Hold", category = "LASTE Control Panel"},
{down = iCommandPlaneStabHbarHeading, name = "LAAP Altitude/Heading Hold", category = "LASTE Control Panel"},
{down = iCommandPlaneAutopilot, up = iCommandPlaneAutopilot, name = "LAAP Engage/Disengage", category = "LASTE Control Panel"},
{down = iCommandPlaneStabPathHold, name = "LAAP Path Hold", category = "LASTE Control Panel"},
{down = iCommandPlaneAHCPLaserArm, name = "LASER switch ARM", category = "Armament HUD Control Panel"},
{down = iCommandPlaneAHCPLaserSafe, name = "LASER switch SAFE", category = "Armament HUD Control Panel"},
{down = iCommandPlaneAHCPLaserTrain, name = "LASER switch TRAIN", category = "Armament HUD Control Panel"},
{down = iCommandPlaneGearDown, name = "Landing Gear Down", category = "Landing gear panel"},
{down = iCommandPlaneGearUp, name = "Landing Gear Up", category = "Landing gear panel"},
{down = iCommandPlaneGear, name = "Landing Gear Up/Down", category = "Landing gear panel"},
{down = iCommandPlane_LG_WRN_Silence, up = iCommandPlane_LG_WRN_Silence, name = "Landing Gear Warning Silence", category = "Engine Control Panel"},
{down = iCommandPlaneLGPLandLight, name = "Landing Lights On", category = "Landing gear panel"},
{down = iCommandPlaneLGPLightsOff, name = "Landing/Taxi Lights Off", category = "Landing gear panel"},
{down = iCommandPlane_L_ENG_FUEL_FLOW_Norm, name = "Left Engine Fuel Flow Norm", category = "Engine Control Panel"},
{down = iCommandPlane_L_ENG_FUEL_FLOW_Override, name = "Left Engine Fuel Flow Override", category = "Engine Control Panel"},
{down = iCommandPlane_L_ENG_OPER_Ign, up = iCommandPlane_L_ENG_OPER_Norm, name = "Left Engine Oper Ign / Norm", category = "Engine Control Panel"},
{down = iCommandPlane_L_ENG_OPER_Motor, name = "Left Engine Oper Motor", category = "Engine Control Panel"},
{down = iCommandPlane_L_ENG_OPER_Norm, name = "Left Engine Oper Norm", category = "Engine Control Panel"},
{down = iCommand_FireExting_LeftEngineExting, name = "Left Engine T-Handle Fire Extinguisher", category = "Fire Extinguishers System"},
{down = iCommandPlaneLeftMFD_ADJ_Decrease, up = iCommandPlaneLeftMFD_ADJ_Stop, name = "Left MFCD ADJ Decrease", category = "Left MFCD"},
{down = iCommandPlaneLeftMFD_ADJ_Increase, up = iCommandPlaneLeftMFD_ADJ_Stop, name = "Left MFCD ADJ Increase", category = "Left MFCD"},
{down = iCommandPlaneLeftMFD_BRT_Decrease, up = iCommandPlaneLeftMFD_BRT_Stop, name = "Left MFCD BRT Decrease", category = "Left MFCD"},
{down = iCommandPlaneLeftMFD_BRT_Increase, up = iCommandPlaneLeftMFD_BRT_Stop, name = "Left MFCD BRT Increase", category = "Left MFCD"},
{down = iCommandPlaneLeftMFD_CON_Decrease, up = iCommandPlaneLeftMFD_CON_Stop, name = "Left MFCD CON Decrease", category = "Left MFCD"},
{down = iCommandPlaneLeftMFD_CON_Increase, up = iCommandPlaneLeftMFD_CON_Stop, name = "Left MFCD CON Increase", category = "Left MFCD"},
{down = iCommandPlaneLeftMFD_DSP_Decrease, up = iCommandPlaneLeftMFD_DSP_Stop, name = "Left MFCD DSP Decrease", category = "Left MFCD"},
{down = iCommandPlaneLeftMFD_DSP_Increase, up = iCommandPlaneLeftMFD_DSP_Stop, name = "Left MFCD DSP Increase", category = "Left MFCD"},
{down = iCommandPlaneLeftMFD_BRTMODE_DAY, name = "Left MFCD Day illumination", category = "Left MFCD"},
{down = iCommandPlaneLeftMFD_BRTMODE_OFF, name = "Left MFCD Disable power", category = "Left MFCD"},
{down = iCommandPlaneLeftMFD_BRTMODE_NIGHT, name = "Left MFCD Night illumination", category = "Left MFCD"},
{down = iCommandPlaneLeftMFD_OSB1, up = iCommandPlaneLeftMFD_OSB1_Off, name = "Left MFCD OSB 01", category = "Left MFCD"},
{down = iCommandPlaneLeftMFD_OSB2, up = iCommandPlaneLeftMFD_OSB2_Off, name = "Left MFCD OSB 02", category = "Left MFCD"},
{down = iCommandPlaneLeftMFD_OSB3, up = iCommandPlaneLeftMFD_OSB3_Off, name = "Left MFCD OSB 03", category = "Left MFCD"},
{down = iCommandPlaneLeftMFD_OSB4, up = iCommandPlaneLeftMFD_OSB4_Off, name = "Left MFCD OSB 04", category = "Left MFCD"},
{down = iCommandPlaneLeftMFD_OSB5, up = iCommandPlaneLeftMFD_OSB5_Off, name = "Left MFCD OSB 05", category = "Left MFCD"},
{down = iCommandPlaneLeftMFD_OSB6, up = iCommandPlaneLeftMFD_OSB6_Off, name = "Left MFCD OSB 06", category = "Left MFCD"},
{down = iCommandPlaneLeftMFD_OSB7, up = iCommandPlaneLeftMFD_OSB7_Off, name = "Left MFCD OSB 07", category = "Left MFCD"},
{down = iCommandPlaneLeftMFD_OSB8, up = iCommandPlaneLeftMFD_OSB8_Off, name = "Left MFCD OSB 08", category = "Left MFCD"},
{down = iCommandPlaneLeftMFD_OSB9, up = iCommandPlaneLeftMFD_OSB9_Off, name = "Left MFCD OSB 09", category = "Left MFCD"},
{down = iCommandPlaneLeftMFD_OSB10, up = iCommandPlaneLeftMFD_OSB10_Off, name = "Left MFCD OSB 10", category = "Left MFCD"},
{down = iCommandPlaneLeftMFD_OSB11, up = iCommandPlaneLeftMFD_OSB11_Off, name = "Left MFCD OSB 11", category = "Left MFCD"},
{down = iCommandPlaneLeftMFD_OSB12, up = iCommandPlaneLeftMFD_OSB12_Off, name = "Left MFCD OSB 12", category = "Left MFCD"},
{down = iCommandPlaneLeftMFD_OSB13, up = iCommandPlaneLeftMFD_OSB13_Off, name = "Left MFCD OSB 13", category = "Left MFCD"},
{down = iCommandPlaneLeftMFD_OSB14, up = iCommandPlaneLeftMFD_OSB14_Off, name = "Left MFCD OSB 14", category = "Left MFCD"},
{down = iCommandPlaneLeftMFD_OSB15, up = iCommandPlaneLeftMFD_OSB15_Off, name = "Left MFCD OSB 15", category = "Left MFCD"},
{down = iCommandPlaneLeftMFD_OSB16, up = iCommandPlaneLeftMFD_OSB16_Off, name = "Left MFCD OSB 16", category = "Left MFCD"},
{down = iCommandPlaneLeftMFD_OSB17, up = iCommandPlaneLeftMFD_OSB17_Off, name = "Left MFCD OSB 17", category = "Left MFCD"},
{down = iCommandPlaneLeftMFD_OSB18, up = iCommandPlaneLeftMFD_OSB18_Off, name = "Left MFCD OSB 18", category = "Left MFCD"},
{down = iCommandPlaneLeftMFD_OSB19, up = iCommandPlaneLeftMFD_OSB19_Off, name = "Left MFCD OSB 19", category = "Left MFCD"},
{down = iCommandPlaneLeftMFD_OSB20, up = iCommandPlaneLeftMFD_OSB20_Off, name = "Left MFCD OSB 20", category = "Left MFCD"},
{down = iCommandPlaneLeftMFD_SYM_Dn, up = iCommandPlaneLeftMFD_SYM_Stop, name = "Left MFCD SYM Decrease", category = "Left MFCD"},
{down = iCommandPlaneLeftMFD_SYM_Up, up = iCommandPlaneLeftMFD_SYM_Stop, name = "Left MFCD SYM Increase", category = "Left MFCD"},
{down = iCommandViewLeftMirrorOn, up = iCommandViewLeftMirrorOff, name = "Left Mirror On", category = "View Cockpit"},
{down = iCommandPlaneEmerAileronDisengageL, name = "Left aileron emer disengage", category = "Emergency flight control panel"},
{down = iCommandPlaneEmerElevatorDisengageL, name = "Left elevator emer disengage", category = "Emergency flight control panel"},
{down = iCommandPlaneFSLeftMainBoostPump, name = "Left main tank boost pump", category = "Fuel system control panel"},
{down = iCommandPlaneFSLeftMainFillDisable, name = "Left main tank fill disable", category = "Fuel system control panel"},
{down = iCommandPlaneFSLeftWingBoostPump, name = "Left wing tank boost pump", category = "Fuel system control panel"},
{down = iCommandPlaneFSLeftWingFillDisable, name = "Left wing tank fill disable", category = "Fuel system control panel"},
{down = iCommandViewTerrainLock, name = "Lock terrain view", category = "View Padlock"},
{down = iCommandViewLock, name = "Lock view (cycle padlock)", category = "View Padlock"},
{down = iCommandPlane_Env_MainAirSupply, name = "Main Air Supply Switch", category = "Environment System Panel"},
{down = iCommandPlaneAHCPMasterArm, name = "Master switch ARM", category = "Armament HUD Control Panel"},
{down = iCommandPlaneAHCPMasterSafe, name = "Master switch SAFE", category = "Armament HUD Control Panel"},
{down = iCommandPlaneAHCPMasterTrain, name = "Master switch TRAIN", category = "Armament HUD Control Panel"},
{down = iCommandMarkerStateRocket, name = "Missile Labels", category = "Labels"},
{down = iCommandPlaneSASMonitorTestLeft, name = "Monitor test Left", category = "Stability Augmentation System"},
{down = iCommandPlaneSASMonitorTestOff, name = "Monitor test Off", category = "Stability Augmentation System"},
{down = iCommandPlaneSASMonitorTestRight, name = "Monitor test Right", category = "Stability Augmentation System"},
{down = iCommandChat, name = "Multiplayer chat - mode All", category = "General"},
{down = iCommandFriendlyChat, name = "Multiplayer chat - mode Allies", category = "General"},
{down = iCommandPlaneNMSP_PTR_ABLE_STOW, name = "NMSP ABLE/STOW switch", category = "Navigation Mode Select Panel"},
{down = iCommandPlaneNMSP_ANCHR, up = iCommandPlaneNMSP_ANCHR, name = "NMSP ANCHR button", category = "Navigation Mode Select Panel"},
{down = iCommandPlaneNMSP_EGI, up = iCommandPlaneNMSP_EGI, name = "NMSP EGI button", category = "Navigation Mode Select Panel"},
{down = iCommandPlaneNMSP_HARS, up = iCommandPlaneNMSP_HARS, name = "NMSP HARS button", category = "Navigation Mode Select Panel"},
{down = iCommandPlaneNMSP_ILS, up = iCommandPlaneNMSP_ILS, name = "NMSP ILS button", category = "Navigation Mode Select Panel"},
{down = iCommandPlaneNMSP_STRPT, up = iCommandPlaneNMSP_STRPT, name = "NMSP STR PT button", category = "Navigation Mode Select Panel"},
{down = iCommandPlaneNMSP_TCN, up = iCommandPlaneNMSP_TCN, name = "NMSP TCN button", category = "Navigation Mode Select Panel"},
{down = iCommandPlaneNMSP_TISL, up = iCommandPlaneNMSP_TISL, name = "NMSP TISL button", category = "Navigation Mode Select Panel"},
{down = iCommandPlaneNightVisionLTSALL, name = "NVIS LTS ALL", category = "Auxiliary lighting control panel"},
{down = iCommandPlaneNightVisionLTSOFF, name = "NVIS LTS OFF", category = "Auxiliary lighting control panel"},
{down = iCommandPlaneNightVisionLTSTCP, name = "NVIS LTS TCP", category = "Auxiliary lighting control panel"},
{down = iCommandPlaneLightsOnOff, name = "Navigation lights", category = "Systems"},
{down = iCommandViewNormalKeyboard, name = "Normal keyboard turn speed", category = "View"},
{down = iCommandViewNormalMouse, name = "Normal mouse turn speed", category = "View"},
{down = iCommandPlaneNoseIllum, name = "Nose Flooding and Nose Illimination switch", category = "Lighting Panel"},
{down = iCommandViewObjectIgnore, name = "Object exclude ", category = "View Extended"},
{down = iCommandViewObjectsAll, name = "Objects all excluded - include", category = "View Extended"},
{down = iCommandViewSwitchForward, name = "Objects switching direction forward ", category = "View Extended"},
{down = iCommandViewSwitchReverse, name = "Objects switching direction reverse ", category = "View Extended"},
{down = iCommandOneFrame, name = "One frame mode", category = "General"},
{down = iCommandPlane_Oxygen_100Oxygen, name = "Oxygen Dilution Lever", category = "Environment System Panel"},
{down = iCommandPlane_Oxygen_Emergency, name = "Oxygen Emergency Lever Emergenvy", category = "Environment System Panel"},
{down = iCommandPlane_Oxygen_Normal, name = "Oxygen Emergency Lever Normal", category = "Environment System Panel"},
{down = iCommandPlane_Oxygen_TestMark, name = "Oxygen Emergency Lever Test Mark", category = "Environment System Panel"},
{down = iCommandPlane_Oxygen_Ind_Test, up = iCommandPlane_Oxygen_Ind_Test, name = "Oxygen Indicator Test", category = "Environment System Panel"},
{down = iCommandPlane_Oxygen_Supply, name = "Oxygen Supply Lever", category = "Environment System Panel"},
{down = iCommandBrakeGo, name = "Pause", category = "General"},
{pressed = iCommandPlane_Peak_Vol_Decrease, name = "Peak volume Decrease", category = "Stall Warning Control Panel"},
{pressed = iCommandPlane_Peak_Vol_Increase, name = "Peak volume Increase", category = "Stall Warning Control Panel"},
{down = iCommandPlanePitchSASEngageL, name = "Pitch SAS engage Left", category = "Stability Augmentation System"},
{down = iCommandPlanePitchSASEngageR, name = "Pitch SAS engage Right", category = "Stability Augmentation System"},
{down = iCommandPlaneEmerPitchRollTrim, name = "Pitch/Roll trim NORM/OVERRIDE", category = "Emergency flight control panel"},
{down = iCommandPitotAoAHeat, name = "Pitot Heater Switch", category = "Environment System Panel"},
{down = iCommandTrkEsc, name = "Playback track cancel", category = "General"},
{down = iCommandPlanePositionLightsFlash, name = "Position Lights Flash", category = "Lighting Panel"},
{down = iCommandPlanePositionLightsOff, name = "Position Lights Off", category = "Lighting Panel"},
{down = iCommandPlanePositionLightsSteady, name = "Position Lights Steady", category = "Lighting Panel"},
{pressed = iCommandPlaneAUTDecreaseLeft, name = "Power Down Left", category = "Flight Control"},
{pressed = iCommandPlaneAUTDecreaseRight, name = "Power Down Right", category = "Flight Control"},
{pressed = iCommandPlaneAUTIncreaseLeft, name = "Power Up Left", category = "Flight Control"},
{pressed = iCommandPlaneAUTIncreaseRight, name = "Power Up Right", category = "Flight Control"},
{pressed = iCommandPlaneFSRefuelLigtingDecrease, name = "RCVR Lights Decrease", category = "Fuel system control panel"},
{pressed = iCommandPlaneFSRefuelLigtingIncrease, name = "RCVR Lights Increase", category = "Fuel system control panel"},
{down = iCommandPlane_RDR_ALTM_DIS, name = "RDR ALTM Disable", category = "LASTE Control Panel"},
{down = iCommandPlane_RDR_ALTM_NRM, name = "RDR ALTM Normal", category = "LASTE Control Panel"},
{pressed = iCommandRWRIntensityDecrease, name = "Radar Warning Receiver Intensity Decrease", category = "Systems"},
{pressed = iCommandRWRIntensityIncrease, name = "Radar Warning Receiver Intensity Increase", category = "Systems"},
{pressed = iCommandPlaneRefuelStatusIndLTSDecrease, name = "Refuel status indexer LTS Decrease", category = "Auxiliary lighting control panel"},
{pressed = iCommandPlaneRefuelStatusIndLTSIncrease, name = "Refuel status indexer LTS Increase", category = "Auxiliary lighting control panel"},
{down = iCommandPlaneFSSigAmplifier, name = "Refueling signal amplifier", category = "Fuel system control panel"},
{down = iCommandPlaneResetMasterWarning, name = "Reset Current Audible Warning", category = "Systems"},
{down = iCommandViewCameraReturn, name = "Return camera", category = "View Cockpit"},
{down = iCommandViewCameraBaseReturn, name = "Return camera base", category = "View Cockpit"},
{down = iCommandPlane_R_ENG_FUEL_FLOW_Norm, name = "Right Engine Fuel Flow Norm", category = "Engine Control Panel"},
{down = iCommandPlane_R_ENG_FUEL_FLOW_Override, name = "Right Engine Fuel Flow Override", category = "Engine Control Panel"},
{down = iCommandPlane_R_ENG_OPER_Ign, up = iCommandPlane_R_ENG_OPER_Norm, name = "Right Engine Oper Ign / Norm", category = "Engine Control Panel"},
{down = iCommandPlane_R_ENG_OPER_Motor, name = "Right Engine Oper Motor", category = "Engine Control Panel"},
{down = iCommandPlane_R_ENG_OPER_Norm, name = "Right Engine Oper Norm", category = "Engine Control Panel"},
{down = iCommand_FireExting_RightEngineExting, name = "Right Engine T-Handle Fire Extinguisher", category = "Fire Extinguishers System"},
{down = iCommandPlaneRightMFD_ADJ_Decrease, up = iCommandPlaneRightMFD_ADJ_Stop, name = "Right MFCD ADJ Decrease", category = "Right MFCD"},
{down = iCommandPlaneRightMFD_ADJ_Increase, up = iCommandPlaneRightMFD_ADJ_Stop, name = "Right MFCD ADJ Increase", category = "Right MFCD"},
{down = iCommandPlaneRightMFD_BRT_Decrease, up = iCommandPlaneRightMFD_BRT_Stop, name = "Right MFCD BRT Decrease", category = "Right MFCD"},
{down = iCommandPlaneRightMFD_BRT_Increase, up = iCommandPlaneRightMFD_BRT_Stop, name = "Right MFCD BRT Increase", category = "Right MFCD"},
{down = iCommandPlaneRightMFD_CON_Decrease, up = iCommandPlaneRightMFD_CON_Stop, name = "Right MFCD CON Decrease", category = "Right MFCD"},
{down = iCommandPlaneRightMFD_CON_Increase, up = iCommandPlaneRightMFD_CON_Stop, name = "Right MFCD CON Increase", category = "Right MFCD"},
{down = iCommandPlaneRightMFD_DSP_Decrease, up = iCommandPlaneRightMFD_DSP_Stop, name = "Right MFCD DSP Decrease", category = "Right MFCD"},
{down = iCommandPlaneRightMFD_DSP_Increase, up = iCommandPlaneRightMFD_DSP_Stop, name = "Right MFCD DSP Increase", category = "Right MFCD"},
{down = iCommandPlaneRightMFD_BRTMODE_DAY, name = "Right MFCD Day illumination", category = "Right MFCD"},
{down = iCommandPlaneRightMFD_BRTMODE_OFF, name = "Right MFCD Disable power", category = "Right MFCD"},
{down = iCommandPlaneRightMFD_BRTMODE_NIGHT, name = "Right MFCD Night illumination", category = "Right MFCD"},
{down = iCommandPlaneRightMFD_OSB1, up = iCommandPlaneRightMFD_OSB1_Off, name = "Right MFCD OSB 01", category = "Right MFCD"},
{down = iCommandPlaneRightMFD_OSB2, up = iCommandPlaneRightMFD_OSB2_Off, name = "Right MFCD OSB 02", category = "Right MFCD"},
{down = iCommandPlaneRightMFD_OSB3, up = iCommandPlaneRightMFD_OSB3_Off, name = "Right MFCD OSB 03", category = "Right MFCD"},
{down = iCommandPlaneRightMFD_OSB4, up = iCommandPlaneRightMFD_OSB4_Off, name = "Right MFCD OSB 04", category = "Right MFCD"},
{down = iCommandPlaneRightMFD_OSB5, up = iCommandPlaneRightMFD_OSB5_Off, name = "Right MFCD OSB 05", category = "Right MFCD"},
{down = iCommandPlaneRightMFD_OSB6, up = iCommandPlaneRightMFD_OSB6_Off, name = "Right MFCD OSB 06", category = "Right MFCD"},
{down = iCommandPlaneRightMFD_OSB7, up = iCommandPlaneRightMFD_OSB7_Off, name = "Right MFCD OSB 07", category = "Right MFCD"},
{down = iCommandPlaneRightMFD_OSB8, up = iCommandPlaneRightMFD_OSB8_Off, name = "Right MFCD OSB 08", category = "Right MFCD"},
{down = iCommandPlaneRightMFD_OSB9, up = iCommandPlaneRightMFD_OSB9_Off, name = "Right MFCD OSB 09", category = "Right MFCD"},
{down = iCommandPlaneRightMFD_OSB10, up = iCommandPlaneRightMFD_OSB10_Off, name = "Right MFCD OSB 10", category = "Right MFCD"},
{down = iCommandPlaneRightMFD_OSB11, up = iCommandPlaneRightMFD_OSB11_Off, name = "Right MFCD OSB 11", category = "Right MFCD"},
{down = iCommandPlaneRightMFD_OSB12, up = iCommandPlaneRightMFD_OSB12_Off, name = "Right MFCD OSB 12", category = "Right MFCD"},
{down = iCommandPlaneRightMFD_OSB13, up = iCommandPlaneRightMFD_OSB13_Off, name = "Right MFCD OSB 13", category = "Right MFCD"},
{down = iCommandPlaneRightMFD_OSB14, up = iCommandPlaneRightMFD_OSB14_Off, name = "Right MFCD OSB 14", category = "Right MFCD"},
{down = iCommandPlaneRightMFD_OSB15, up = iCommandPlaneRightMFD_OSB15_Off, name = "Right MFCD OSB 15", category = "Right MFCD"},
{down = iCommandPlaneRightMFD_OSB16, up = iCommandPlaneRightMFD_OSB16_Off, name = "Right MFCD OSB 16", category = "Right MFCD"},
{down = iCommandPlaneRightMFD_OSB17, up = iCommandPlaneRightMFD_OSB17_Off, name = "Right MFCD OSB 17", category = "Right MFCD"},
{down = iCommandPlaneRightMFD_OSB18, up = iCommandPlaneRightMFD_OSB18_Off, name = "Right MFCD OSB 18", category = "Right MFCD"},
{down = iCommandPlaneRightMFD_OSB19, up = iCommandPlaneRightMFD_OSB19_Off, name = "Right MFCD OSB 19", category = "Right MFCD"},
{down = iCommandPlaneRightMFD_OSB20, up = iCommandPlaneRightMFD_OSB20_Off, name = "Right MFCD OSB 20", category = "Right MFCD"},
{down = iCommandPlaneRightMFD_SYM_Dn, up = iCommandPlaneRightMFD_SYM_Stop, name = "Right MFCD SYM Decrease", category = "Right MFCD"},
{down = iCommandPlaneRightMFD_SYM_Up, up = iCommandPlaneRightMFD_SYM_Stop, name = "Right MFCD SYM Increase", category = "Right MFCD"},
{down = iCommandViewRightMirrorOn, up = iCommandViewRightMirrorOff, name = "Right Mirror On", category = "View Cockpit"},
{down = iCommandPlaneEmerAileronDisengageR, name = "Right aileron emer disengage", category = "Emergency flight control panel"},
{down = iCommandPlaneEmerElevatorDisengageR, name = "Right elevator emer disengage", category = "Emergency flight control panel"},
{down = iCommandPlaneFSRightMainBoostPump, name = "Right main tank boost pump", category = "Fuel system control panel"},
{down = iCommandPlaneFSRightMainFillDisable, name = "Right main tank fill disable", category = "Fuel system control panel"},
{down = iCommandPlaneFSRightWingBoostPump, name = "Right wing tank boost pump", category = "Fuel system control panel"},
{down = iCommandPlaneFSRightWingFillDisable, name = "Right wing tank fill disable", category = "Fuel system control panel"},
{down = iCommandPlaneIntercomFM, name = "Rotary selector FM", category = "Intercom control panel"},
{down = iCommandPlaneIntercomHF, name = "Rotary selector HF", category = "Intercom control panel"},
{down = iCommandPlaneIntercomINT, name = "Rotary selector INT", category = "Intercom control panel"},
{down = iCommandPlaneIntercomVHF, name = "Rotary selector VHF", category = "Intercom control panel"},
{down = iCommand_AGR_Oriet, up = iCommand_AGR_Oriet, name = "SAI Cage Knob", category = "Systems"},
{pressed = iCommand_AGR_axis_left, name = "SAI Pitch Trim Left", category = "Systems"},
{pressed = iCommand_AGR_axis_right, name = "SAI Pitch Trim Right", category = "Systems"},
{down = iCommandViewSaveAngles, name = "Save Cockpit Angles", category = "View Cockpit"},
{down = iCommandScoresWindowToggle, name = "Score window", category = "General"},
{down = iCommandScreenShot, name = "Screenshot", category = "General"},
{down = 3005, up = 3005, cockpit_device_id = 39, value_down = 1, value_up = 0, name = "Seat Adjustment Down", category = "Systems"},
{down = 3004, up = 3004, cockpit_device_id = 39, value_down = -1, value_up = 0, name = "Seat Adjustment Up", category = "Systems"},
{down = iCommandSeatArmHandle, name = "Seat Arm Handle", category = "Systems"},
{down = iCommandDebriefing, name = "Show debriefing window", category = "General"},
{down = iCommandPlaneSignalLTS, name = "Signal Lights switch", category = "Lighting Panel"},
{down = iCommandLampsControl, up = iCommandLampsControl_up, name = "Signal lights lamp test", category = "Auxiliary lighting control panel"},
{down = iCommandViewSlowKeyboard, name = "Slow keyboard turn speed", category = "View"},
{down = iCommandViewSlowMouse, name = "Slow mouse turn speed", category = "View"},
{down = iCommandPlaneWingtipSmokeOnOff, name = "Smoke", category = "Systems"},
{down = iCommandViewSnapView0, up = iCommandViewSnapViewStop, name = "Snap View 0", category = "View Cockpit"},
{down = iCommandViewSnapView1, up = iCommandViewSnapViewStop, name = "Snap View 1", category = "View Cockpit"},
{down = iCommandViewSnapView2, up = iCommandViewSnapViewStop, name = "Snap View 2", category = "View Cockpit"},
{down = iCommandViewSnapView3, up = iCommandViewSnapViewStop, name = "Snap View 3", category = "View Cockpit"},
{down = iCommandViewSnapView4, up = iCommandViewSnapViewStop, name = "Snap View 4", category = "View Cockpit"},
{down = iCommandViewSnapView5, up = iCommandViewSnapViewStop, name = "Snap View 5", category = "View Cockpit"},
{down = iCommandViewSnapView6, up = iCommandViewSnapViewStop, name = "Snap View 6", category = "View Cockpit"},
{down = iCommandViewSnapView7, up = iCommandViewSnapViewStop, name = "Snap View 7", category = "View Cockpit"},
{down = iCommandViewSnapView8, up = iCommandViewSnapViewStop, name = "Snap View 8", category = "View Cockpit"},
{down = iCommandViewSnapView9, up = iCommandViewSnapViewStop, name = "Snap View 9", category = "View Cockpit"},
{down = iCommandPlaneEmerSpeedBrakeRetract, name = "Speed brake emer retract", category = "Emergency flight control panel"},
{pressed = iCommandPlane_STALL_Vol_Decrease, name = "Stall volume Decrease", category = "Stall Warning Control Panel"},
{pressed = iCommandPlane_STALL_Vol_Increase, name = "Stall volume Increase", category = "Stall Warning Control Panel"},
{down = iCommandEnginesStart, name = "Start Procedure", category = "Cheat"},
{down = iCommandFlightClockReset, name = "Start/Stop/Reset Flight Clock", category = "Systems"},
{down = iCommandPlaneTrimOn, up = iCommandPlaneTrimOff, name = "Stick to trimmer control mode", category = "Flight Control"},
{down = iCommandEnginesStop, name = "Stop Procedure", category = "Cheat"},
{down = ICommandSwitchDialog, name = "Switch dialog", category = "Communications"},
{down = ICommandSwitchToCommonDialog, name = "Switch to main menu", category = "Communications"},
{pressed = iCommandPlane_TACAN_Chanel_Ones_Decrease, name = "TACAN Chanel Ones Decrease", category = "TACAN Control Panel"},
{pressed = iCommandPlane_TACAN_Chanel_Ones_Increase, name = "TACAN Chanel Ones Increase", category = "TACAN Control Panel"},
{pressed = iCommandPlane_TACAN_Chanel_Tens_Decrease, name = "TACAN Chanel Tens Decrease", category = "TACAN Control Panel"},
{pressed = iCommandPlane_TACAN_Chanel_Tens_Increase, name = "TACAN Chanel Tens Increase", category = "TACAN Control Panel"},
{down = iCommandPlane_TACAN_Mode_AAREC, name = "TACAN Mode Select A A REC", category = "TACAN Control Panel"},
{down = iCommandPlane_TACAN_Mode_AATR, name = "TACAN Mode Select A A T R", category = "TACAN Control Panel"},
{down = iCommandPlane_TACAN_Mode_Off, name = "TACAN Mode Select OFF", category = "TACAN Control Panel"},
{down = iCommandPlane_TACAN_Mode_Rec, name = "TACAN Mode Select REC", category = "TACAN Control Panel"},
{down = iCommandPlane_TACAN_Mode_TR, name = "TACAN Mode Select T R", category = "TACAN Control Panel"},
{down = iCommandPlane_TACAN_Chanel_XY_Mode, name = "TACAN Mode X/Y Switch", category = "TACAN Control Panel"},
{down = iCommandPlane_TACAN_Test, up = iCommandPlane_TACAN_Test, name = "TACAN Test Button", category = "TACAN Control Panel"},
{pressed = iCommandPlane_TACAN_Volume_Decrease, name = "TACAN Volume Decrease", category = "TACAN Control Panel"},
{pressed = iCommandPlane_TACAN_Volume_Increase, name = "TACAN Volume Increase", category = "TACAN Control Panel"},
{down = iCommandPlaneIntercomTCNPress, name = "TCN press", category = "Intercom control panel"},
{pressed = iCommandPlaneIntercomTCNDecrease, name = "TCN volume decrease", category = "Intercom control panel"},
{pressed = iCommandPlaneIntercomTCNIncrease, name = "TCN volume increase", category = "Intercom control panel"},
{down = iCommandPlaneAHCPTGPOnOff, name = "TGP switch ON/OFF", category = "Armament HUD Control Panel"},
{down = iCommandPlaneSASTakeOffTrim, up = iCommandPlaneSASTakeOffTrim, name = "Take off trim", category = "Stability Augmentation System"},
{down = iCommandPlaneFSTankGate, name = "Tank gate valve", category = "Fuel system control panel"},
{down = iCommandPlaneLGPTaxiLight, name = "Taxi Lights On", category = "Landing gear panel"},
{down = iCommandPlane_Env_TempPress_DUMP, name = "Temperature/Pressure Control DUMP", category = "Environment System Panel"},
{down = iCommandPlane_Env_TempPress_NORM, name = "Temperature/Pressure Control NORM", category = "Environment System Panel"},
{down = iCommandPlane_Env_TempPress_RAM, name = "Temperature/Pressure Control RAM", category = "Environment System Panel"},
{down = iCommandThreatMissilePadlock, name = "Threat missile padlock", category = "View Padlock"},
{down = iCommandThrottleDecrease, up = iCommandThrottleStop, name = "Throttle Both Down", category = "Flight Control"},
{down = iCommandThrottleIncrease, up = iCommandThrottleStop, name = "Throttle Both Up", category = "Flight Control"},
{pressed = iCommandPlaneThrottleFrictionDec, name = "Throttle Friction Decrease", category = "Engine Control Panel"},
{pressed = iCommandPlaneThrottleFrictionInc, name = "Throttle Friction Increase", category = "Engine Control Panel"},
{down = iCommandThrottle1Decrease, up = iCommandThrottle1Stop, name = "Throttle Left Down", category = "Flight Control"},
{down = iCommandPlaneAUTDecreaseRegimeLeft, name = "Throttle Left Down Step", category = "Flight Control"},
{down = iCommandThrottle1Increase, up = iCommandThrottle1Stop, name = "Throttle Left Up", category = "Flight Control"},
{down = iCommandPlaneAUTIncreaseRegimeLeft, name = "Throttle Left Up Step", category = "Flight Control"},
{down = iCommandThrottle2Decrease, up = iCommandThrottle2Stop, name = "Throttle Right Down", category = "Flight Control"},
{down = iCommandPlaneAUTDecreaseRegimeRight, name = "Throttle Right Down Step", category = "Flight Control"},
{down = iCommandThrottle2Increase, up = iCommandThrottle2Stop, name = "Throttle Right Up", category = "Flight Control"},
{down = iCommandPlaneAUTIncreaseRegimeRight, name = "Throttle Right Up Step", category = "Flight Control"},
{down = iCommandPlaneAUTDecreaseRegime, name = "Thrust Down", category = "Flight Control"},
{down = iCommandPlaneAUTIncreaseRegime, name = "Thrust Up", category = "Flight Control"},
{down = iCommandAccelerate, name = "Time accelerate", category = "General"},
{down = iCommandDecelerate, name = "Time decelerate", category = "General"},
{down = iCommandNoAcceleration, name = "Time normal", category = "General"},
{down = iCommandPlaneHook, name = "Toggle Arrestor Hook", category = "Systems"},
{down = iCommandPlaneAirRefuel, name = "Toggle Refueling Boom", category = "Systems"},
{down = iCommandPlaneFormation, name = "Toggle formation", category = "Communications"},
{down = iCommandViewNightVisionGogglesOn, name = "Toggle goggles", category = "Sensors"},
{down = iCommandViewPlus, name = "Toggle tracking fire weapon", category = "View Extended"},
{pressed = iCommandPlaneTrimLeftRudder, up = iCommandPlaneTrimStop, name = "Trim Left Rudder", category = "Flight Control"},
{pressed = iCommandPlaneTrimRightRudder, up = iCommandPlaneTrimStop, name = "Trim Right Rudder", category = "Flight Control"},
{combos = {{key = "JOY_BTN_POV1_L"}, }, pressed = iCommandPlaneTrimLeft, up = iCommandPlaneTrimStop, name = "Trim: Left Wing Down", category = "HOTAS"},
{combos = {{key = "JOY_BTN_POV1_U"}, }, pressed = iCommandPlaneTrimUp, up = iCommandPlaneTrimStop, name = "Trim: Nose Down", category = "HOTAS"},
{combos = {{key = "JOY_BTN_POV1_D"}, }, pressed = iCommandPlaneTrimDown, up = iCommandPlaneTrimStop, name = "Trim: Nose Up", category = "HOTAS"},
{combos = {{key = "JOY_BTN4"}, }, down = iCommandPlaneTrimCancel, name = "Trim: Reset", category = "HOTAS"},
{combos = {{key = "JOY_BTN_POV1_R"}, }, pressed = iCommandPlaneTrimRight, up = iCommandPlaneTrimStop, name = "Trim: Right Wing Down", category = "HOTAS"},
{down = iCommandPlaneUFC_0, up = iCommandPlaneUFC_0, name = "UFC 0 Key", category = "UFC"},
{down = iCommandPlaneUFC_1, up = iCommandPlaneUFC_1, name = "UFC 1 Key", category = "UFC"},
{down = iCommandPlaneUFC_2, up = iCommandPlaneUFC_2, name = "UFC 2 Key", category = "UFC"},
{down = iCommandPlaneUFC_3, up = iCommandPlaneUFC_3, name = "UFC 3 Key", category = "UFC"},
{down = iCommandPlaneUFC_4, up = iCommandPlaneUFC_4, name = "UFC 4 Key", category = "UFC"},
{down = iCommandPlaneUFC_5, up = iCommandPlaneUFC_5, name = "UFC 5 Key", category = "UFC"},
{down = iCommandPlaneUFC_6, up = iCommandPlaneUFC_6, name = "UFC 6 Key", category = "UFC"},
{down = iCommandPlaneUFC_7, up = iCommandPlaneUFC_7, name = "UFC 7 Key", category = "UFC"},
{down = iCommandPlaneUFC_8, up = iCommandPlaneUFC_8, name = "UFC 8 Key", category = "UFC"},
{down = iCommandPlaneUFC_9, up = iCommandPlaneUFC_9, name = "UFC 9 Key", category = "UFC"},
{down = iCommandPlaneUFC_ALT, up = iCommandPlaneUFC_ALT, name = "UFC ALT Key", category = "UFC"},
{down = iCommandPlaneUFC_CLR, up = iCommandPlaneUFC_CLR, name = "UFC CLR Key", category = "UFC"},
{down = iCommandPlaneUFC_DATA_DOWN, up = iCommandPlaneUFC_DATA_DOWN, name = "UFC DATA DOWN Rocker switch", category = "UFC"},
{down = iCommandPlaneUFC_DATA_UP, up = iCommandPlaneUFC_DATA_UP, name = "UFC DATA UP Rocker switch", category = "UFC"},
{down = iCommandPlaneUFC_DEPR_DOWN, up = iCommandPlaneUFC_DEPR_DOWN, name = "UFC DEPR DOWN Rocker switch", category = "UFC"},
{down = iCommandPlaneUFC_DEPR_UP, up = iCommandPlaneUFC_DEPR_UP, name = "UFC DEPR UP Rocker switch", category = "UFC"},
{down = iCommandPlaneUFC_ENT, up = iCommandPlaneUFC_ENT, name = "UFC ENT Key", category = "UFC"},
{down = iCommandPlaneUFC_FUNC, up = iCommandPlaneUFC_FUNC, name = "UFC FUNC Key", category = "UFC"},
{down = iCommandPlaneUFC_HACK, up = iCommandPlaneUFC_HACK, name = "UFC HACK Key", category = "UFC"},
{down = iCommandPlaneUFC_INTEN_DECREASE, up = iCommandPlaneUFC_INTEN_DECREASE, name = "UFC INTEN DECREASE Rocker switch", category = "UFC"},
{down = iCommandPlaneUFC_INTEN_INCREASE, up = iCommandPlaneUFC_INTEN_INCREASE, name = "UFC INTEN INCREASE Rocker switch", category = "UFC"},
{down = iCommandPlaneUFC_LTR, up = iCommandPlaneUFC_LTR, name = "UFC LTR Key", category = "UFC"},
{down = iCommandPlaneUFC_MK, up = iCommandPlaneUFC_MK, name = "UFC MK Key", category = "UFC"},
{down = iCommandPlaneUFC_MASTER_WARNING, up = iCommandPlaneUFC_MASTER_WARNING, name = "UFC Master Caution Key", category = "UFC"},
{down = iCommandPlaneUFC_SEL_DOWN, up = iCommandPlaneUFC_SEL_DOWN, name = "UFC SEL DOWN Rocker switch", category = "UFC"},
{down = iCommandPlaneUFC_SEL_UP, up = iCommandPlaneUFC_SEL_UP, name = "UFC SEL UP Rocker switch", category = "UFC"},
{down = iCommandPlaneUFC_SPC, up = iCommandPlaneUFC_SPC, name = "UFC SPC Key", category = "UFC"},
{down = iCommandPlaneUFC_STEER_DOWN, up = iCommandPlaneUFC_STEER_DOWN, name = "UFC STEER DOWN Rocker switch", category = "UFC"},
{down = iCommandPlaneUFC_STEER_UP, up = iCommandPlaneUFC_STEER_UP, name = "UFC STEER UP Rocker switch", category = "UFC"},
{down = iCommandPlaneUHF0025MhzSelectorDec, name = "UHF 0.025Mhz selector decrease", category = "UHF Radio"},
{down = iCommandPlaneUHF0025MhzSelectorInc, name = "UHF 0.025Mhz selector increase", category = "UHF Radio"},
{down = iCommandPlaneUHF01MhzSelectorDec, name = "UHF 0.1Mhz selector decrease", category = "UHF Radio"},
{down = iCommandPlaneUHF01MhzSelectorInc, name = "UHF 0.1Mhz selector increase", category = "UHF Radio"},
{down = iCommandPlaneUHF100MhzSelector1, name = "UHF 100Mhz selector switch 1", category = "UHF Radio"},
{down = iCommandPlaneUHF100MhzSelector2, name = "UHF 100Mhz selector switch 2", category = "UHF Radio"},
{down = iCommandPlaneUHF100MhzSelector3, name = "UHF 100Mhz selector switch 3", category = "UHF Radio"},
{down = iCommandPlaneUHF100MhzSelectorA, name = "UHF 100Mhz selector switch A", category = "UHF Radio"},
{down = iCommandPlaneUHF10MhzSelectorDec, name = "UHF 10Mhz selector decrease", category = "UHF Radio"},
{down = iCommandPlaneUHF10MhzSelectorInc, name = "UHF 10Mhz selector increase", category = "UHF Radio"},
{down = iCommandPlaneUHF1MhzSelectorDec, name = "UHF 1Mhz selector decrease", category = "UHF Radio"},
{down = iCommandPlaneUHF1MhzSelectorInc, name = "UHF 1Mhz selector increase", category = "UHF Radio"},
{down = iCommandUHFAntennaAuto, name = "UHF Antenna Switch AUTO", category = "Antenna Select Panel"},
{down = iCommandUHFAntennaLower, name = "UHF Antenna Switch LOWER", category = "Antenna Select Panel"},
{down = iCommandUHFAntennaUpper, name = "UHF Antenna Switch UPPER", category = "Antenna Select Panel"},
{down = iCommandPlaneUHFFunctionDialADF, name = "UHF Dial ADF", category = "UHF Radio"},
{down = iCommandPlaneUHFFunctionDialBOTH, name = "UHF Dial BOTH", category = "UHF Radio"},
{down = iCommandPlaneUHFFunctionDialMAIN, name = "UHF Dial MAIN", category = "UHF Radio"},
{down = iCommandPlaneUHFFunctionDialOFF, name = "UHF Dial OFF", category = "UHF Radio"},
{down = iCommandPlaneUHFFreqModeDialGRD, name = "UHF Freq mode GRD", category = "UHF Radio"},
{down = iCommandPlaneUHFFreqModeDialMNL, name = "UHF Freq mode MNL", category = "UHF Radio"},
{down = iCommandPlaneUHFFreqModeDialPRESET, name = "UHF Freq mode PRESET", category = "UHF Radio"},
{down = iCommandPlaneUHFLoad, up = iCommandPlaneUHFLoad, name = "UHF Load", category = "UHF Radio"},
{down = iCommandPlaneUHFPanelCover, name = "UHF Panel cover", category = "UHF Radio"},
{down = iCommandPlaneUHFPresetChannelSelectorDec, name = "UHF Preset chanel selector decrease", category = "UHF Radio"},
{pressed = iCommandPlaneUHFPresetChannelSelectorDec, name = "UHF Preset chanel selector decrease", category = "UHF Radio"},
{pressed = iCommandPlaneUHFPresetChannelSelectorInc, name = "UHF Preset chanel selector increase", category = "UHF Radio"},
{down = iCommandPlaneUHFPresetChannelSelectorInc, name = "UHF Preset chanel selector increase", category = "UHF Radio"},
{down = iCommandPlaneUHFSquelch, name = "UHF Squelch ON/OFF", category = "UHF Radio"},
{down = iCommandPlaneUHFStatus, up = iCommandPlaneUHFStatus, name = "UHF Status", category = "UHF Radio"},
{down = iCommandPlaneUHFTTone, up = iCommandPlaneUHFTTone, name = "UHF T-Tone", category = "UHF Radio"},
{down = iCommandPlaneUHFTestDisplay, up = iCommandPlaneUHFTestDisplay, name = "UHF Test display", category = "UHF Radio"},
{pressed = iCommandPlaneUHFVolumeDec, name = "UHF Volume decrease", category = "UHF Radio"},
{pressed = iCommandPlaneUHFVolumeInc, name = "UHF Volume increase", category = "UHF Radio"},
{down = iCommandPlaneIntercomUHFPress, name = "UHF press", category = "Intercom control panel"},
{pressed = iCommandPlaneIntercomUHFDecrease, name = "UHF volume decrease", category = "Intercom control panel"},
{pressed = iCommandPlaneIntercomUHFIncrease, name = "UHF volume increase", category = "Intercom control panel"},
{down = iCommandViewUnlock, name = "Unlock view (stop padlock)", category = "View Padlock"},
{pressed = iCommandPlane_VHF_AM_025MHz_Dec, name = "VHF AM 0.025Mhz Selector Decrease", category = "VHF AM Radio Control Panel"},
{pressed = iCommandPlane_VHF_AM_025MHz_Inc, name = "VHF AM 0.025Mhz Selector Increase", category = "VHF AM Radio Control Panel"},
{pressed = iCommandPlane_VHF_AM_01MHz_Dec, name = "VHF AM 0.1Mhz Selector Decrease", category = "VHF AM Radio Control Panel"},
{pressed = iCommandPlane_VHF_AM_01MHz_Inc, name = "VHF AM 0.1Mhz Selector Increase", category = "VHF AM Radio Control Panel"},
{pressed = iCommandPlane_VHF_AM_10MHz_Dec, name = "VHF AM 10Mhz Selector Decrease", category = "VHF AM Radio Control Panel"},
{pressed = iCommandPlane_VHF_AM_10MHz_Inc, name = "VHF AM 10Mhz Selector Increase", category = "VHF AM Radio Control Panel"},
{pressed = iCommandPlane_VHF_AM_1MHz_Dec, name = "VHF AM 1Mhz Selector Decrease", category = "VHF AM Radio Control Panel"},
{pressed = iCommandPlane_VHF_AM_1MHz_Inc, name = "VHF AM 1Mhz Selector Increase", category = "VHF AM Radio Control Panel"},
{down = iCommandPlane_VHF_AM_FreqMode_DN, name = "VHF AM Frequency Mode DN", category = "VHF AM Radio Control Panel"},
{down = iCommandPlane_VHF_AM_FreqMode_OFF, name = "VHF AM Frequency Mode OFF", category = "VHF AM Radio Control Panel"},
{down = iCommandPlane_VHF_AM_FreqMode_TK, name = "VHF AM Frequency Mode TK", category = "VHF AM Radio Control Panel"},
{down = iCommandPlane_VHF_AM_Load, up = iCommandPlane_VHF_AM_Load, name = "VHF AM Load", category = "VHF AM Radio Control Panel"},
{down = iCommandPlane_VHF_AM_Mode_EMERAM, name = "VHF AM Mode EMER AM", category = "VHF AM Radio Control Panel"},
{down = iCommandPlane_VHF_AM_Mode_EMERFM, name = "VHF AM Mode EMER FM", category = "VHF AM Radio Control Panel"},
{down = iCommandPlane_VHF_AM_Mode_MAN, name = "VHF AM Mode MAN", category = "VHF AM Radio Control Panel"},
{down = iCommandPlane_VHF_AM_Mode_PRE, name = "VHF AM Mode PRE", category = "VHF AM Radio Control Panel"},
{pressed = iCommandPlane_VHF_AM_Preset_Dec, name = "VHF AM Preset Channel Decrease", category = "VHF AM Radio Control Panel"},
{pressed = iCommandPlane_VHF_AM_Preset_Inc, name = "VHF AM Preset Channel Increase", category = "VHF AM Radio Control Panel"},
{down = iCommandPlane_VHF_AM_Squelch, name = "VHF AM Squelch", category = "VHF AM Radio Control Panel"},
{down = iCommandPlane_VHF_AM_Tone, up = iCommandPlane_VHF_AM_Tone, name = "VHF AM Tone", category = "VHF AM Radio Control Panel"},
{pressed = iCommandPlane_VHF_AM_Volume_Dec, name = "VHF AM Volume Decrease", category = "VHF AM Radio Control Panel"},
{pressed = iCommandPlane_VHF_AM_Volume_Inc, name = "VHF AM Volume Increase", category = "VHF AM Radio Control Panel"},
{pressed = iCommandPlane_VHF_FM_025MHz_Dec, name = "VHF FM 0.025Mhz Selector Decrease", category = "VHF FM Radio Control Panel"},
{pressed = iCommandPlane_VHF_FM_025MHz_Inc, name = "VHF FM 0.025Mhz Selector Increase", category = "VHF FM Radio Control Panel"},
{pressed = iCommandPlane_VHF_FM_01MHz_Dec, name = "VHF FM 0.1Mhz Selector Decrease", category = "VHF FM Radio Control Panel"},
{pressed = iCommandPlane_VHF_FM_01MHz_Inc, name = "VHF FM 0.1Mhz Selector Increase", category = "VHF FM Radio Control Panel"},
{pressed = iCommandPlane_VHF_FM_10MHz_Dec, name = "VHF FM 10Mhz Selector Decrease", category = "VHF FM Radio Control Panel"},
{pressed = iCommandPlane_VHF_FM_10MHz_Inc, name = "VHF FM 10Mhz Selector Increase", category = "VHF FM Radio Control Panel"},
{pressed = iCommandPlane_VHF_FM_1MHz_Dec, name = "VHF FM 1Mhz Selector Decrease", category = "VHF FM Radio Control Panel"},
{pressed = iCommandPlane_VHF_FM_1MHz_Inc, name = "VHF FM 1Mhz Selector Increase", category = "VHF FM Radio Control Panel"},
{down = iCommandPlane_VHF_FM_FreqMode_DN, name = "VHF FM Frequency Mode DN", category = "VHF FM Radio Control Panel"},
{down = iCommandPlane_VHF_FM_FreqMode_OFF, name = "VHF FM Frequency Mode OFF", category = "VHF FM Radio Control Panel"},
{down = iCommandPlane_VHF_FM_FreqMode_TK, name = "VHF FM Frequency Mode TK", category = "VHF FM Radio Control Panel"},
{down = iCommandPlane_VHF_FM_Load, up = iCommandPlane_VHF_FM_Load, name = "VHF FM Load", category = "VHF FM Radio Control Panel"},
{down = iCommandPlane_VHF_FM_Mode_EMERAM, name = "VHF FM Mode EMER AM", category = "VHF FM Radio Control Panel"},
{down = iCommandPlane_VHF_FM_Mode_EMERFM, name = "VHF FM Mode EMER FM", category = "VHF FM Radio Control Panel"},
{down = iCommandPlane_VHF_FM_Mode_MAN, name = "VHF FM Mode MAN", category = "VHF FM Radio Control Panel"},
{down = iCommandPlane_VHF_FM_Mode_PRE, name = "VHF FM Mode PRE", category = "VHF FM Radio Control Panel"},
{pressed = iCommandPlane_VHF_FM_Preset_Dec, name = "VHF FM Preset Channel Decrease", category = "VHF FM Radio Control Panel"},
{pressed = iCommandPlane_VHF_FM_Preset_Inc, name = "VHF FM Preset Channel Increase", category = "VHF FM Radio Control Panel"},
{down = iCommandPlane_VHF_FM_Squelch, name = "VHF FM Squelch", category = "VHF FM Radio Control Panel"},
{down = iCommandPlane_VHF_FM_Tone, up = iCommandPlane_VHF_FM_Tone, name = "VHF FM Tone", category = "VHF FM Radio Control Panel"},
{pressed = iCommandPlane_VHF_FM_Volume_Dec, name = "VHF FM Volume Decrease", category = "VHF FM Radio Control Panel"},
{pressed = iCommandPlane_VHF_FM_Volume_Inc, name = "VHF FM Volume Increase", category = "VHF FM Radio Control Panel"},
{down = iCommandPlaneIntercomVHFPress, name = "VHF press", category = "Intercom control panel"},
{pressed = iCommandPlaneIntercomVHFDecrease, name = "VHF volume decrease", category = "Intercom control panel"},
{pressed = iCommandPlaneIntercomVHFIncrease, name = "VHF volume increase", category = "Intercom control panel"},
{down = iCommandMarkerStateShip, name = "Vehicle & Ship Labels", category = "Labels"},
{pressed = iCommandViewCenter, name = "View Center", category = "View"},
{pressed = iCommandViewDownLeftSlow, up = iCommandViewStopSlow, name = "View Down Left slow", category = "View"},
{pressed = iCommandViewDownRightSlow, up = iCommandViewStopSlow, name = "View Down Right slow", category = "View"},
{pressed = iCommandViewDownSlow, up = iCommandViewStopSlow, name = "View Down slow", category = "View"},
{pressed = iCommandViewLeftSlow, up = iCommandViewStopSlow, name = "View Left slow", category = "View"},
{pressed = iCommandViewRightSlow, up = iCommandViewStopSlow, name = "View Right slow", category = "View"},
{pressed = iCommandViewUpLeftSlow, up = iCommandViewStopSlow, name = "View Up Left slow", category = "View"},
{pressed = iCommandViewUpRightSlow, up = iCommandViewStopSlow, name = "View Up Right slow", category = "View"},
{pressed = iCommandViewUpSlow, up = iCommandViewStopSlow, name = "View Up slow", category = "View"},
{down = iCommandViewAll, name = "View all mode", category = "View Extended"},
{down = iCommandViewBriefing, name = "View briefing on/off", category = "General"},
{pressed = iCommandViewDown, up = iCommandViewStop, name = "View down", category = "View Cockpit"},
{pressed = iCommandViewDownLeft, up = iCommandViewStop, name = "View down left", category = "View Cockpit"},
{pressed = iCommandViewDownRight, up = iCommandViewStop, name = "View down right", category = "View Cockpit"},
{down = iCommandViewEnemies, name = "View enemies mode", category = "View Extended"},
{down = iCommandViewFriends, name = "View friends mode", category = "View Extended"},
{pressed = iCommandViewLeft, up = iCommandViewStop, name = "View left", category = "View Cockpit"},
{pressed = iCommandViewRight, up = iCommandViewStop, name = "View right", category = "View Cockpit"},
{pressed = iCommandViewUp, up = iCommandViewStop, name = "View up", category = "View Cockpit"},
{pressed = iCommandViewUpLeft, up = iCommandViewStop, name = "View up left", category = "View Cockpit"},
{pressed = iCommandViewUpRight, up = iCommandViewStop, name = "View up right", category = "View Cockpit"},
{pressed = iCommandPlaneIntercomVolumeDecrease, name = "Volume volume decrease", category = "Intercom control panel"},
{pressed = iCommandPlaneIntercomVolumeIncrease, name = "Volume volume increase", category = "Intercom control panel"},
{combos = {{key = "JOY_BTN2"}, }, down = iCommandPlanePickleOn, up = iCommandPlanePickleOff, name = "Weapon release", category = "HOTAS"},
{down = iCommandPlaneWheelBrakeLeftOn, up = iCommandPlaneWheelBrakeLeftOff, name = "Wheel Brake Left On/Off", category = "Systems"},
{down = iCommandPlaneWheelBrakeOn, up = iCommandPlaneWheelBrakeOff, name = "Wheel Brake On/Off", category = "Systems"},
{down = iCommandPlaneWheelBrakeRightOn, up = iCommandPlaneWheelBrakeRightOff, name = "Wheel Brake Right On/Off", category = "Systems"},
{down = iCommandPlane_Env_WindshieldDefogDeice, name = "Wind shield Defog/Deice Switch", category = "Environment System Panel"},
{down = iCommandPlane_Env_WindshieldRainRemove, name = "Wind shield Rain Removal Switch", category = "Environment System Panel"},
{down = iCommandPlane_Env_WindshieldCenter, name = "Wind shield Rain Removal Switch Center", category = "Environment System Panel"},
{down = iCommandPlane_Env_WindshieldWash, name = "Wind shield Rain Removal Switch Wash", category = "Environment System Panel"},
{down = iCommandPlaneYawSASEngageL, name = "Yaw SAS engage Left", category = "Stability Augmentation System"},
{down = iCommandPlaneYawSASEngageR, name = "Yaw SAS engage Right", category = "Stability Augmentation System"},
{pressed = iCommandPlaneTrimLeftRudder, name = "Yaw Trim Left", category = "Stability Augmentation System"},
{pressed = iCommandPlaneTrimRightRudder, name = "Yaw Trim Right", category = "Stability Augmentation System"},
{pressed = iCommandViewExternalZoomIn, up = iCommandViewExternalZoomInStop, name = "Zoom external in", category = "View"},
{down = iCommandViewExternalZoomDefault, name = "Zoom external normal", category = "View"},
{pressed = iCommandViewExternalZoomOut, up = iCommandViewExternalZoomOutStop, name = "Zoom external out", category = "View"},
{pressed = iCommandViewForward, up = iCommandViewForwardStop, name = "Zoom in", category = "View Cockpit"},
{pressed = iCommandViewForwardSlow, up = iCommandViewForwardSlowStop, name = "Zoom in slow", category = "View"},
{down = iCommandViewAngleDefault, name = "Zoom normal", category = "View"},
{pressed = iCommandViewBack, up = iCommandViewBackStop, name = "Zoom out", category = "View Cockpit"},
{pressed = iCommandViewBackSlow, up = iCommandViewBackSlowStop, name = "Zoom out slow", category = "View"},
},
axisCommands = {
{action = iCommandViewHorizontalAbs, name = "Absolute Camera Horizontal View"},
{action = iCommandViewVerticalAbs, name = "Absolute Camera Vertical View"},
{action = iCommandViewHorTransAbs, name = "Absolute Horizontal Shift Camera View"},
{action = iCommandViewLongitudeTransAbs, name = "Absolute Longitude Shift Camera View"},
{action = iCommandViewRollAbs, name = "Absolute Roll Shift Camera View"},
{action = iCommandViewVertTransAbs, name = "Absolute Vertical Shift Camera View"},
{action = iCommandPlaneViewHorizontal, name = "Camera Horizontal View"},
{action = iCommandPlaneViewVertical, name = "Camera Vertical View"},
{action = iCommandViewHorTrans, name = "Camera View Horizontal Shift"},
{action = iCommandViewLongitudeTrans, name = "Camera View Longitude Shift"},
{action = iCommandViewVertTrans, name = "Camera View Vertical Shift"},
{action = iCommandPlaneZoomView, name = "Camera Zoom View"},
{action = iCommandPlaneSelecterHorizontalAbs, name = "HOTAS Slew Horizontal"},
{action = iCommandPlaneSelecterVerticalAbs, name = "HOTAS Slew Vertical"},
{combos = {{key = "JOY_Y"}, }, action = iCommandPlanePitch, name = "Pitch"},
{combos = {{key = "JOY_X"}, }, action = iCommandPlaneRoll, name = "Roll"},
{action = iCommandPlaneRudder, name = "Rudder"},
{combos = {{key = "JOY_Z", filter = {saturationX = 1, saturationY = 1, deadzone = 0, invert = false, slider = false, curvature = {0}}}, }, action = iCommandPlaneThrustCommon, name = "Throttle Both"},
{action = iCommandPlaneThrustLeft, name = "Throttle Left"},
{action = iCommandPlaneThrustRight, name = "Throttle Right"},
{action = iCommandWheelBrake, name = "Wheel Brake"},
{action = iCommandLeftWheelBrake, name = "Wheel Brake Left"},
{action = iCommandRightWheelBrake, name = "Wheel Brake Right"},
{action = iCommandViewZoomAbs, name = "Zoom View"},
},
}
end